<?php /*
 ////////////////////////////////////////////////////////////////////////

 Content Management and OnlineShop Software "shoprex"
 Copyright (C) {2010-2016}  Andreas Rex

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License along
 with this program; if not, write to the Free Software Foundation, Inc.,
 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

 Contact:

 Andreas Rex
 Wismmannstr. 80
 DE-90411 Nuremberg

 E-Mail: post@shoprex.de

 ////////////////////////////////////////////////////////////////////////
*/ ?><?php defined( 'SECURITY_CHECK' ) or die;

$GLOBALS['crawlers'] = array(
	"<a href='http://www.unchaos.com/'> unchaos </a> from chaos to order hybrid web search engine.(vadim_gonchar@unchaos.com)",
	"<a href='http://www.unchaos.com/'> unchaos bot hybrid web search engine. </a> (vadim_gonchar@unchaos.com)",
	"<b> unchaosbot from chaos to order unchaos hybrid web search engine at www.unchaos.com </b> (info@unchaos.com)",
	"<http://www.sygol.com/> http://www.sygol.com",
	"*/nutch-0.9-dev",
	"+sitidi.net/sitidibot/1.0 (+have good day)",
	"-die-kraehe- meta-search-engine/1.1 http://www.die-kraehe.de",
	"192.comagent",
	"4anything.com linkchecker v2.0",
	"8484 boston project v 1.0",
	":robot/1.0 (linux) ( admin e-mail: undefined http://www.neofonie.de/loesungen/search/robot.html )",
	"a-online search",
	"a1 sitemap generator/1.0 (+http://www.micro-sys.dk/products/sitemap-generator/) miggibot/2006.01.24",
	"aardvark-crawler",
	"abachobot",
	"abachobot (mozilla compatible)",
	"abcdatos botlink/5.xx.xxx#bbl",
	"aberja checkomat",
	"abot/0.1 (abot; http://www.abot.com; abot@abot.com)",
	"about/0.1libwww-perl/5.47",
	"accelatech rsscrawler/0.4",
	"accoona",
	"accoona-ai-agent/1.1.1 (crawler at accoona dot com)",
	"accoona-ai-agent/1.1.2 (aicrawler at accoonabot dot com)",
	"ack (http://www.ackerm.com/)",
	"acoirobot",
	"acoon robot v1.50.001",
	"acoon robot v1.52 (http://www.acoon.de)",
	"acoon-robot 4.0.x.[xx] (http://www.acoon.de)",
	"acoon-robot v3.xx (http://www.acoon.de and http://www.acoon.com)",
	"acorn/nutch-0.9 (non-profit search engine; acorn.isara.org; acorn at isara dot org)",
	"aesop_com_spiderman",
	"agadine/1.x.x (+http://www.agada.de)",
	"agent-sharewareplazafilecheckbot/2.0+(+http://www.sharewareplaza.com)",
	"agentname/0.1 libwww-perl/5.48",
	"aibot/2.1 by +(www.21seek.com a real artificial intelligence search engine china)",
	"aipbot/1.0 (aipbot; http://www.aipbot.com; aipbot@aipbot.com)",
	"aipbot/2-beta (aipbot dev; http://aipbot.com; aipbot@aipbot.com)",
	"aladin/3.324",
	"aleksika spider/1.0 (+http://www.aleksika.com/)",
	"alkalinebot/1.3",
	"alkalinebot/1.4 (1.4.0326.0 rtm)",
	"allesklar/0.1 libwww-perl/5.46",
	"allrati/1.1 (+)",
	"altavista intranet v2.0 avs eval search@freeit.com",
	"altavista intranet v2.0 compaq altavista eval sveand@altavista.net",
	"altavista intranet v2.0 evreka.com crawler@evreka.com",
	"altavista v2.0b crawler@evreka.com",
	"amfibibot",
	"amfibibot/0.06 (amfibi web search; http://www.amfibi.com; agent@amfibi.com)",
	"amfibibot/0.07 (amfibi robot; http://www.amfibi.com; agent@amfibi.com)",
	"amibot",
	"annomille spider 0.1 alpha - http://www.annomille.it",
	"answerbus (http://www.answerbus.com/)",
	"antibot-v1.1.5/i586-linux-2.2",
	"anzwerscrawl/2.0 (anzwerscrawl@anzwers.com.au;engine)",
	"apexoo spider 1.x",
	"aport",
	"appie 1.1 (www.walhello.com)",
	"arabybot (compatible; mozilla/5.0; googlebot; fast crawler 6.4; http://www.araby.com;)",
	"arachbot",
	"arachnoidea (arachnoidea@euroseek.com)",
	"architextspider",
	"archive.org_bot",
	"arikus_spider",
	"arquivo-web-crawler  (compatible; heritrix/1.12.1 +http://arquivo-web.fccn.pt)",
	"asaha search engine turkey v.001 (http://www.asaha.com/)",
	"asahina-antenna/1.x",
	"asahina-antenna/1.x (libhina.pl/x.x ; libtime.pl/x.x)",
	"ask.24x.info",
	"askaboutoil/0.06-rcp (nutch; http://www.nutch.org/docs/en/bot.html; nutch-agent@askaboutoil.com)",
	"asked/nutch-0.8 (web crawler; http://asked.jp; epicurus at gmail dot com)",
	"aspseek/1.2.5",
	"aspseek/1.2.9d",
	"aspseek/1.2.x",
	"aspseek/1.2.xa",
	"aspseek/1.2.xx",
	"aspseek/1.2.xxpre",
	"assort/0.10",
	"asterias/2.0",
	"atlocalbot/1.1 +(http://www.atlocal.com/local-web-site-owner.html)",
	"atomic_email_hunter/4.0",
	"atomz/1.0",
	"atspider/1.0",
	"attentio/nutch-0.9-dev (attentio's beta blog crawler; www.attentio.com; info@attentio.com)",
	"augurfind",
	"augurnfind v-1.x",
	"autoemailspider",
	"autowebdir 1.1 (www.autowebdir.com)",
	"av fetch 1.0",
	"avsearch-1.0(peter.turney@nrc.ca)",
	"avsearch-3.0(altavista/avc)",
	"axadine/ (axadine crawler; http://www.axada.de/; )",
	"axmorobot - crawling your site for better indexing on www.axmo.com search engine.",
	"babaloospider/1.3 (babaloospider; http://www.babaloo.si; spider@babaloo.si)",
	"baboombot/1.x.x (+http://www.baboom.us)",
	"baiduimagespider+(+http://www.baidu.jp/search/s308.html)",
	"baiduspider",
	"baiduspider+(+http://help.baidu.jp/system/05.html)",
	"baiduspider+(+http://www.baidu.com/search/spider.htm)",
	"baiduspider+(+http://www.baidu.com/search/spider_jp.html)",
	"balihoo/nutch-1.0-dev (crawler for balihoo.com search engine - obeys robots.txt and robots meta tags ; http://balihoo.com/index.aspx; robot at balihoo dot com)",
	"barrahomecrawler (albertof@barrahome.org)",
	"bdcindexer_2.6.2 (research@bdc)",
	"bdfetch",
	"bdncentral crawler v2.3 [en] (http://www.bdncentral.com/robot.html) (x11; i; linux 2.0.44 i686)",
	"beautybot/1.0 (+http://www.uchoose.de/crawler/beautybot/)",
	"bebopbot/2.5.1 ( crawler http://www.apassion4jazz.net/bebopbot.html )",
	"bigcliquebot/1.03-dev (bigclicbot; http://www.bigclique.com; bot@bigclique.com)",
	"biglotron (beta 2;gnu/linux)",
	"bigsearch.ca/nutch-x.x-dev (bigsearch.ca internet spider; http://www.bigsearch.ca/; info@enhancededge.com)",
	"bilgibetabot/0.8-dev (bilgi.com (beta) ; http://lucene.apache.org/nutch/bot.html; nutch-agent@lucene.apache.org)",
	"bilgibot/1.0(beta) (http://www.bilgi.com/; bilgi at bilgi dot com)",
	"bitacle bot/1.1",
	"bitacle robot (v:1.0;) (http://www.bitacle.com)",
	"blackwidow",
	"blaiz-bee/1.0 (+http://www.blaiz.net)",
	"blaiz-bee/2.00.8222 (be internet search engine http://www.rawgrunt.com)",
	"blaiz-bee/2.00.xxxx (+http://www.blaiz.net)",
	"blitzbot@tricus.net",
	"blitzbot@tricus.net (mozilla compatible)",
	"blogbot/1.x",
	"bloglines title fetch/1.0 (http://www.bloglines.com)",
	"bloglines-images/0.1 (http://www.bloglines.com)",
	"bloglines/3.1 (http://www.bloglines.com)",
	"blogpulse (info@blogpulse.com)",
	"blogpulselive (support@blogpulse.com)",
	"blogsearch/1.x +http://www.icerocket.com/",
	"blogsearchbot-pumpkin-3",
	"blogsnowbot, v 2.01 (+http://www.blogsnow.com/)",
	"blogvibebot-v1.1 (spider@blogvibe.nl)",
	"blogwatcher_spider/0.1 (http://www.lr.pi.titech.ac.jp/blogwatcher/)",
	"blogzice/1.0 (+http://icerocket.com; rhodes@icerocket.com)",
	"blogzice/1.0 +http://www.icerocket.com/",
	"bloobybot",
	"bloodhound/nutch-0.9 (testing crawler for research - obeys robots.txt and robots meta tags ; http://balihoo.com/index.aspx; robot at balihoo dot com)",
	"boitho.com-dc/0.xx (http://www.boitho.com/dcbot.html)",
	"boitho.com-robot/1.x",
	"boitho.com-robot/1.x (http://www.boitho.com/bot.html)",
	"bpimagewalker/2.0 (www.bdbrandprotect.com)",
	"bravobrian spiderengine marcopolo",
	"bruinbot (+http://webarchive.cs.ucla.edu/bruinbot.html) ",
	"bsdseek/1.0",
	"btbot/0.x (+http://www.btbot.com/btbot.html)",
	"buildcms crawler (http://www.buildcms.com/crawler)",
	"bullseye",
	"bumblebee@relevare.com",
	"burstfindcrawler/1.1 (crawler.burstfind.com; http://crawler.burstfind.com; crawler@burstfind.com)",
	"buscaplus robi/1.0 (http://www.buscaplus.com/robi/)",
	"bwh3_user_agent",
	"cabot/nutch-0.9 (amfibi's web-crawling robot; http://www.amfibi.com/cabot/; agent@amfibi.com)",
	"cabot/nutch-1.0-dev (amfibi's web-crawling robot; http://www.amfibi.com/cabot/; agent@amfibi.com)",
	"carleson/1.0",
	"carnegie_mellon_university_research_webbot-->please read-->http://www.andrew.cmu.edu/~brgordon/webbot/index.html http://www.andrew.cmu.edu/~brgordon/webbot/index.html",
	"carnegie_mellon_university_webcrawler http://www.andrew.cmu.edu/~brgordon/webbot/index.html",
	"catall spider",
	"cazoodlebot/cazoodlebot-0.1 (cazoodlebot crawler; http://www.cazoodle.com/cazoodlebot; cazoodlebot@cazoodle.com)",
	"ccbot/1.0 (+http://www.commoncrawl.org/bot.html)",
	"ccubee/x.x",
	"ceramic tile installation guide (http://www.floorstransformed.com)",
	"cfetch/1.0",
	"china local browse 2.6",
	"christcrawler 2.0",
	"cipinetbot (http://www.cipinet.com/bot.html)",
	"clariabot/1.0",
	"claymont.com",
	"cloakdetect/0.9 (+http://fulltext.seznam.cz/)",
	"clushbot/2.x (+http://www.clush.com/bot.html)",
	"clushbot/3.x-binaryfury (+http://www.clush.com/bot.html)",
	"clushbot/3.xx-ajax (+http://www.clush.com/bot.html)",
	"clushbot/3.xx-hector (+http://www.clush.com/bot.html)",
	"clushbot/3.xx-peleus (+http://www.clush.com/bot.html)",
	"cogentbot/1.x (+http://www.cogentsoftwaresolutions.com/bot.html)",
	"combine/0.0",
	"combine/2.0 http://combine.it.lth.se/",
	"combine/3 http://combine.it.lth.se/",
	"combine/x.0",
	"cometrics-bot, http://www.cometrics.de",
	"computer_and_automation_research_institute_crawler crawler@ilab.sztaki.hu",
	"comrite/0.7.1 (nutch; http://lucene.apache.org/nutch/bot.html; nutch-agent@lucene.apache.org)",
	"contactbot/0.2",
	"contentsmartz",
	"convera internet spider v6.x",
	"converacrawler/0.2",
	"converacrawler/0.9d (+http://www.authoritativeweb.com/crawl)",
	"converamultimediacrawler/0.1 (+http://www.authoritativeweb.com/crawl)",
	"coolbot",
	"cosmos/0.8_(robot@xyleme.com)",
	"cosmos/0.9_(robot@xyleme.com)",
	"cougarsearch/0.x (+http://www.cougarsearch.com/faq.shtml)",
	"covac texas arachbot",
	"cowbot-0.1 (nhn corp. / +82-2-3011-1954 / nhnbot@naver.com)",
	"cowbot-0.1.x (nhn corp. / +82-2-3011-1954 / nhnbot@naver.com)",
	"crawlconvera0.1 (crawlconvera@yahoo.com)",
	"crawler (cometsearch@cometsystems.com)",
	"crawler admin@crawler.de",
	"crawler v 0.2.x admin@crawler.de",
	"crawler@alexa.com",
	"crawlerboy pinpoint.com",
	"crawllybot/0.1 (crawllybot; +http://www.crawlly.com; crawler@crawlly.com)",
	"creativecommons/0.06-dev (nutch; http://www.nutch.org/docs/en/bot.html; nutch-agent@lists.sourceforge.net)",
	"croccrawler vx.3 [en] (http://www.croccrawler.com) (x11; i; linux 2.0.44 i686)",
	"csci_b659/0.13",
	"cuasarbot/0.9b http://www.cuasar.com/spider_beta/ ",
	"curryguide sitescan 1.1",
	"custom spider www.bisnisseek.com /1.0",
	"cyberpatrol sitecat webbot (http://www.cyberpatrol.com/cyberpatrolcrawler.asp)",
	"cydralspider/1.x (cydral web image search; http://www.cydral.com)",
	"cydralspider/3.0 (cydral image search; http://www.cydral.com)",
	"datacha0s/2.0",
	"datacha0s/2.0",
	"datafountains/dmoz downloader",
	"datafountains/dmoz downloader (http://ivia.ucr.edu/useragents.shtml)",
	"datafountains/dmoz feature vector corpus creator (http://ivia.ucr.edu/useragents.shtml)",
	"dataparksearch/4.47 (+http://dataparksearch.org/bot)",
	"dataparksearch/4.xx (http://www.dataparksearch.org/)",
	"dataspear/1.0 (spider; http://www.dataspear.com/spider.html; spider@dataspear.com)",
	"dataspearspiderbot/0.2 (dataspear spider bot; http://dssb.dataspear.com/bot.html; dssb@dataspear.com)",
	"datenbot( http://www.sicher-durchs-netz.de/bot.html)",
	"daviesbot/1.7 (www.wholeweb.net)",
	"daypopbot/0.x",
	"dbdig(http://www.prairielandconsulting.com)",
	"dbrowse 1.4b",
	"dbrowse 1.4d",
	"dcsbot/1.1",
	"de.searchengine.combot 1.2 (http://de.searchengine.com/spider)",
	"deepak-usc/isi",
	"deepindex",
	"deepindex ( http://www.zetbot.com )",
	"deepindex (www.en.deepindex.com)",
	"deepindexer.ca",
	"demo bot dot 16b",
	"demo bot z 16b",
	"denmex websearch (http://search.denmex.com)",
	"dev-spider2.searchpsider.com/1.3b",
	"diagem/1.1 (http://www.skyrocket.gr.jp/diagem.html)",
	"diamond/x.0",
	"diamondbot",
	"digger/1.0 jdk/1.3.0rc3",
	"digout4u",
	"diibot/1.2",
	"disco/nutch-0.9 (experimental crawler; www.discoveryengine.com; disco-crawl@discoveryengine.com)",
	"disco/nutch-1.0-dev (experimental crawler; www.discoveryengine.com; disco-crawl@discoveryengine.com)",
	"dittospyder",
	"dloader(naverrobot)/1.0",
	"docomo/1.0/nxxxi/c10",
	"docomo/1.0/nxxxi/c10/tb",
	"docomo/2.0 p900iv(c100;tb;w24h11) ",
	"docomo/2.0 sh902i (compatible; y!j-srd/1.0; http://help.yahoo.co.jp/help/jp/search/indexing/indexing-27.html)",
	"docomo/2.0/so502i (compatible; y!j-srd/1.0; http://help.yahoo.co.jp/help/jp/search/indexing/indexing-27.html)",
	"dodgebot/experimental",
	"download-tipp linkcheck (http://download-tipp.de/)",
	"drecombot/1.0 (http://career.drecom.jp/bot.html)",
	"dsurf15a 01",
	"dsurf15a 71",
	"dsurf15a 81",
	"dsurf15a va",
	"dtsearchspider",
	"duckduckbot/1.0; (+http://duckduckgo.com/duckduckbot.html)",
	"dumbot(version 0.1 beta - dumbfind.com)",
	"dumbot(version 0.1 beta - http://www.dumbfind.com/dumbot.html)",
	"dumbot(version 0.1 beta)",
	"e-sense 1.0 ea(www.vigiltech.com/esensedisclaim.html)",
	"e-societyrobot(http://www.yama.info.waseda.ac.jp/~yamana/es/)",
	"eapollobot/2.0 (compatible; heritrix/2.0.0-snapshot-20071024.170148 +http://www.eapollo-opto.com)",
	"earthcom.info/1.x [www.earthcom.info]",
	"earthcom.info/1.xbeta [www.earthcom.info]",
	"easydl/3.xx",
	"easydl/3.xx http://keywen.com/encyclopedia/bot",
	"ebrowse 1.4b",
	"echo!/2.0",
	"educate search vxb",
	"egothor/3.0a (+http://www.xdefine.org/robot.html)",
	"egotobot/4.8 (+http://www.egoto.com/about.htm)",
	"ejupiter.com",
	"elfbot/1.0 (+http://www.uchoose.de/crawler/elfbot/)",
	"eli/20070402:2.0 (daum rss robot, daum communications corp.; +http://ws.daum.net/aboutkr.html)",
	"emailsiphon",
	"emailspider",
	"emailwolf 1.00",
	"empas_robot",
	"enabot/1.x (http://www.enaball.com/crawler.html)",
	"enfish tracker",
	"enterprise_search/1.0",
	"enterprise_search/1.0.xxx",
	"enterprise_search/1.00.xxx;mssql (http://www.innerprise.net/es-spider.asp)",
	"envolk/1.7 (+http://www.envolk.com/envolkspiderinfo.php)",
	"envolk[its]spider/1.6(+http://www.envolk.com/envolkspider.html)",
	"erocrawler",
	"es.net_crawler/2.0 (http://search.innerprise.net/)",
	"eseek-larbin_2.6.2 (crawler@exactseek.com)",
	"esismartspider",
	"estylesearch 4 (compatible; msie 6.0; windows nt 5.0)",
	"esurf15a 15",
	"euripbot/0.x (+http://www.eurip.com) getfile",
	"euripbot/0.x (+http://www.eurip.com) getrobots",
	"euripbot/0.x (+http://www.eurip.com) precheck",
	"eurobot/1.0 (http://www.ayell.eu)",
	"evaalse - bot@evaal.com",
	"eventax/1.3 (eventax; http://www.eventax.de/; info@eventax.de)",
	"everest-vulcan inc./0.1 (r&d project; host=e-1-24; http://everest.vulcan.com/crawlerhelp)",
	"everest-vulcan inc./0.1 (r&d project; http://everest.vulcan.com/crawlerhelp)",
	"exabot-images/1.0",
	"exabot-test/1.0",
	"exabot/2.0",
	"exabot/3.0",
	"exactseek crawler/0.1",
	"exactseek-crawler-2.63 (crawler@exactseek.com)",
	"exactseek-pagereaper-2.63 (crawler@exactseek.com)",
	"exactseek.com",
	"exalead ng/mimelive client (convert/http/0.120)",
	"excalibur internet spider v6.5.4",
	"execrawl/1.0 (execrawl; http://www.execrawl.com/; bot@execrawl.com)",
	"exooba crawler/exooba crawler (crawler for exooba.com; http://www.exooba.com/; info at exooba dot com)",
	"exooba/exooba crawler (exooba; exooba)",
	"experimentalhenrythemiragorobot",
	"extractorpro",
	"eyecatcher (download-tipp.de)/1.0",
	"factbot 1.09 (see http://www.factbites.com/webmasters.php)",
	"factbot : http://www.factbites.com/robots",
	"fast crawler gold edition",
	"fast enterprise crawler 6 (experimental)",
	"fast enterprise crawler 6 / scirus scirus-crawler@fast.no; http://www.scirus.com/srsapp/contactus/",
	"fast enterprise crawler 6 used by cobra development (admin@fastsearch.com)",
	"fast enterprise crawler 6 used by comperio as (sts@comperio.no)",
	"fast enterprise crawler 6 used by fast (fast)",
	"fast enterprise crawler 6 used by pages jaunes (pvincent@pagesjaunes.fr)",
	"fast enterprise crawler 6 used by sensis.com.au web crawler (search_comments\at\sensis\dot\com\dot\au)",
	"fast enterprise crawler 6 used by singapore press holdings (crawler@sphsearch.sg)",
	"fast enterprise crawler/6 (www.fastsearch.com)",
	"fast enterprise crawler/6.4 (helpdesk at fast.no)",
	"fast firstpage retriever (compatible; msie 5.5; mozilla/4.0)",
	"fast metaweb crawler (helpdesk at fastsearch dot com)",
	"fast partnersite crawler",
	"fast-webcrawler/2.2.10 (multimedia search) (crawler@fast.no; http://www.fast.no/faq/faqfastwebsearch/faqfastwebcrawler.html)",
	"fast-webcrawler/2.2.6 (crawler@fast.no; http://www.fast.no/faq/faqfastwebsearch/faqfastwebcrawler.html)",
	"fast-webcrawler/2.2.7 (crawler@fast.no; http://www.fast.no/faq/faqfastwebsearch/faqfastwebcrawler.html)http://www.fast.no",
	"fast-webcrawler/2.2.8 (crawler@fast.no; http://www.fast.no/faq/faqfastwebsearch/faqfastwebcrawler.html)http://www.fast.no",
	"fast-webcrawler/3.2 test",
	"fast-webcrawler/3.3 (crawler@fast.no; http://fast.no/support.php?c=faqs/crawler)",
	"fast-webcrawler/3.4/nirvana (crawler@fast.no; http://fast.no/support.php?c=faqs/crawler)",
	"fast-webcrawler/3.4/partnersite (crawler@fast.no; http://fast.no/support.php?c=faqs/crawler)",
	"fast-webcrawler/3.5 (atw-crawler at fast dot no; http://fast.no/support.php?c=faqs/crawler)",
	"fast-webcrawler/3.6 (atw-crawler at fast dot no; http://fast.no/support/crawler.asp)",
	"fast-webcrawler/3.6/firstpage (crawler@fast.no; http://fast.no/support.php?c=faqs/crawler)",
	"fast-webcrawler/3.7 (atw-crawler at fast dot no; http://fast.no/support/crawler.asp)",
	"fast-webcrawler/3.7/firstpage (atw-crawler at fast dot no;http://fast.no/support/crawler.asp)",
	"fast-webcrawler/3.8 (atw-crawler at fast dot no; http://fast.no/support/crawler.asp)",
	"fast-webcrawler/3.8/fresh (atw-crawler at fast dot no; http://fast.no/support/crawler.asp)",
	"fast-webcrawler/3.x multimedia",
	"fast-webcrawler/3.x multimedia (mm dash crawler at fast dot no)",
	"fastbot crawler beta 2.0 (+http://www.fastbot.de)",
	"fastbug http://www.ay-up.com",
	"fastcrawler 3.0.1 (crawler@1klik.dk)",
	"fastsearch web crawler for verizon superpages (kevin.watters@fastsearch.com)",
	"favcollector/2.0 (info@favcollector.com http://www.favcollector.com/)",
	"favo.eu crawler/0.6 (http://www.favo.eu)",
	"faxobot/1.0",
	"feed seeker bot (rss feed seeker http://www.mynewfavoritething.com/fsb.php)",
	"feed24.com",
	"feedchecker/0.01",
	"feedfetcher-google; (+http://www.google.com/feedfetcher.html)",
	"feedhub feeddiscovery/1.0 (http://www.feedhub.com)",
	"feedhub metadatafetcher/1.0 (http://www.feedhub.com)",
	"feedjit favicon crawler 1.0",
	"felix - mixcat crawler (+http://mixcat.com)",
	"ffc trap door spider",
	"filtrbox/1.0",
	"findexa crawler (http://www.findexa.no/gulesider/article26548.ece)",
	"findlinks/x.xxx (+http://wortschatz.uni-leipzig.de/findlinks/) ",
	"finebot",
	"firefly/1.0",
	"firefly/1.0 (compatible; mozilla 4.0; msie 5.5)",
	"firefox (kastaneta03@hotmail.com)",
	"firefox_1.0.6 (kasparek@naparek.cz)",
	"firstgov.gov search - poc:firstgov.webmasters@gsa.gov",
	"firstsbot",
	"flapbot/0.7.2 (flaptor crawler; http://www.flaptor.com; crawler at flaptor period com)",
	"flexum spider",
	"flexum/2.0",
	"flickbot 2.0 rpt-httpclient/0.3-3",
	"flunky",
	"fnoolebot/2.5.2 (+http://www.fnoole.com/addurl.html)",
	"focusedsampler/1.0",
	"folkd.com spider/0.1 beta 1 (www.folkd.com)",
	"fooky.com/scorpionbot/scoutout; http://www.fooky.com/scorpionbots",
	"francis/1.0 (francis@neomo.de http://www.neomo.de/)",
	"franklin locator 1.8",
	"freefind.com-sitesearchengine/1.0 (http://freefind.com; spiderinfo@freefind.com)",
	"freshnotes crawler< report problems to crawler-at-freshnotes-dot-com",
	"fsurf15a 01",
	"ftb-bot http://www.findthebest.co.uk/",
	"full web bot 0416b",
	"full web bot 0516b",
	"full web bot 2816b",
	"fusebulb.com",
	"fyberspider (+http://www.fybersearch.com/fyberspider.php)",
	"gais robot/1.0b2",
	"gaisbot/3.0 (indexer@gais.cs.ccu.edu.tw; http://gais.cs.ccu.edu.tw/robot.php)",
	"gaisbot/3.0+(robot06@gais.cs.ccu.edu.tw;+http://gais.cs.ccu.edu.tw/robot.php)",
	"galaxybot/1.0 (http://www.galaxy.com/galaxybot.html)",
	"gallent search spider v1.4 robot 2 (http://robot.gallentsearch.com)",
	"gamekitbot/1.0 (+http://www.uchoose.de/crawler/gamekitbot/)",
	"gammaspider/1.0",
	"gazz/x.x (gazz@nttrd.com)",
	"generic_crawler/01.0217/",
	"geniebot (http://64.5.245.11/faq/faq.html)",
	"geniebot wgao@genieknows.com",
	"geonabot 1.x; http://www.geona.com/",
	"gigabaz/3.1x (baz@gigabaz.com; http://gigabaz.com/gigabaz/)",
	"gigabot/2.0 (gigablast.com)",
	"gigabot/2.0/gigablast.com/spider.html",
	"gigabot/2.0; http://www.gigablast.com/spider.html",
	"gigabot/2.0att",
	"gigabot/3.0 (http://www.gigablast.com/spider.html)",
	"gigabot/x.0",
	"gigabotsitesearch/2.0 (sitesearch.gigablast.com)",
	"gnodspider (www.gnod.net)",
	"goblin/0.9 (http://www.goguides.org/)",
	"goblin/0.9.x (http://www.goguides.org/goblin-info.html)",
	"goforit.com",
	"goforitbot ( http://www.goforit.com/about/ )",
	"gonzo1[p] +http://www.suchen.de/popups/faq.jsp",
	"gonzo2[p] +http://www.suchen.de/faq.html",
	"goofer/0.2",
	"googlebot-image/1.0",
	"googlebot-image/1.0 ( http://www.googlebot.com/bot.html)",
	"googlebot/2.1 ( http://www.google.com/bot.html)",
	"googlebot/2.1 ( http://www.googlebot.com/bot.html)",
	"googlebot/test ( http://www.googlebot.com/bot.html)",
	"grapefx/0.3 libwww/5.4.0",
	"great-plains-web-spider/flatlandbot (flatland industries web spider; http://www.flatlandindustries.com/flatlandbot.php; jason@flatlandindustries.com)",
	"grigorbot 0.8 (http://www.grigor.biz/bot.html)",
	"gromit/1.0",
	"grub crawler(http://www.grub.org)",
	"grub-client",
	"gsa-crawler (enterprise; gid-01422; jplastiras@google.com)",
	"gsa-crawler (enterprise; gid-01742;gsatesting@rediffmail.com)",
	"gsa-crawler (enterprise; gix-02057; dm@enhesa.com)",
	"gsa-crawler (enterprise; gix-03519; cknuetter@stubhub.com)",
	"gsa-crawler (enterprise; gix-0xxxx; enterprise-training@google.com)",
	"guestbook auto submitter",
	"gulliver/1.3",
	"gulper web bot 0.2.4 (www.ecsl.cs.sunysb.edu/~maxim/cgi-bin/link/gulperbot)",
	"gungho/0.08004 (http://code.google.com/p/gungho-crawler/wiki/index)",
	"gurujibot/1.0 (+http://www.guruji.com/webmasterfaq.html)",
	"gurujiimagebot/1.0 (+http://www.guruji.com/en/webmasterfaq.html)",
	"happyfunbot/1.1",
	"harvest-ng/1.0.2",
	"hatena antenna/0.4 (http://a.hatena.ne.jp/help#robot)",
	"hatena pagetitle agent/1.0",
	"hatena rss/0.3 (http://r.hatena.ne.jp)",
	"hbtronix.spider.2 -- http://hbtronix.de/spider.php",
	"heinrichdermiragorobot",
	"heinrichdermiragorobot (http://www.miragorobot.com/scripts/deinfo.asp)",
	"helix/1.x ( http://www.sitesearch.ca/helix/)",
	"henrilerobotmirago (http://www.miragorobot.com/scripts/frinfo.asp)",
	"henrythemiragorobot",
	"henrythemiragorobot (http://www.miragorobot.com/scripts/mrinfo.asp)",
	"hi! i'm cscrawler my homepage: http://www.kde.cs.uni-kassel.de/lehre/ss2005/googlespam/crawler.html rpt-httpclient/0.3-3",
	"hippias/0.9 beta",
	"hitlist",
	"hitwise spider v1.0 http://www.hitwise.com",
	"holmes/3.11 (http://morfeo.centrum.cz/bot)",
	"holmes/3.9 (onet.pl)",
	"holmes/3.xx (onetszukaj/5.0; +http://szukaj.onet.pl)",
	"holmes/x.x",
	"holmesbot (http://holmes.ge)",
	"homepagesearch(hpsearch.uni-trier.de)",
	"homerbot: www.homerweb.com",
	"honda-search/0.7.2 (nutch; http://lucene.apache.org/nutch/bot.html; search@honda-search.com)",
	"hoowwwer/2.1.3 (debugging run) (+http://cosco.hiit.fi/search/hoowwwer/ | mailto:crawler-info<at>hiit.fi)",
	"hoowwwer/2.1.x ( http://cosco.hiit.fi/search/hoowwwer/ | mailto:crawler-info<at>hiit.fi)",
	"hpl/nutch-0.9 -",
	"htdig/3.1.6 (http://computerorgs.com)",
	"htdig/3.1.6 (unconfigured@htdig.searchengine.maintainer)",
	"htdig/3.1.x (root@localhost)",
	"http://ask.24x.info/ (http://narres.it/)",
	"http://hilfe.acont.de/bot.html acontbot",
	"http://www.almaden.ibm.com/cs/crawler",
	"http://www.almaden.ibm.com/cs/crawler [rc1.wf.ibm.com]",
	"http://www.almaden.ibm.com/cs/crawler [wf216]",
	"http://www.istarthere.com_spider@istarthere.com",
	"http://www.monogol.de",
	"http://www.trendtech.dk/spider.asp)",
	"i1searchbot/2.0 (i1search web crawler; http://www.i1search.com; crawler@i1search.com)",
	"iaarchiver-1.0",
	"iaskspider2 (iask@staff.sina.com.cn)",
	"ia_archiver",
	"ia_archiver-web.archive.org",
	"ia_archiver/1.6",
	"icc-crawler(mozilla-compatible; http://kc.nict.go.jp/icc/crawl.html; icc-crawl(at)ml(dot)nict(dot)go(dot)jp)",
	"icc-crawler(mozilla-compatible;http://kc.nict.go.jp/icc/crawl.html;icc-crawl-contact(at)ml(dot)nict(dot)go(dot)jp)",
	"iccrawler (http://www.iccenter.net)",
	"iccrawler - icjobs (http://www.icjobs.de/bot.htm)",
	"ichiro/x.0 (http://help.goo.ne.jp/door/crawler.html)",
	"ichiro/x.0 (ichiro@nttr.co.jp)",
	"iconsurf/2.0 favicon finder (see http://iconsurf.com/robot.html)",
	"iconsurf/2.0 favicon monitor (see http://iconsurf.com/robot.html)",
	"icra_label_spider/x.0",
	"icsbot-0.1",
	"ideare - signsite/1.x",
	"ifeed.jp/2.0 (www.psychedelix.com/agents/agents.rss; 0 subscribers)",
	"igdespyder (compatible; igde.ru; +http://igde.ru/doc/tech.html)",
	"iiitbot/1.1 (indian language web search engine; http://webkhoj.iiit.net; pvvpr at iiit dot ac dot in)",
	"ilial/nutch-0.9 (ilial, inc. is a los angeles based internet startup company. for more information please visit http://www.ilial.com/crawler; http://www.ilial.com/crawler; crawl@ilial.com)",
	"ilial/nutch-0.9-dev",
	"ilsebot/1.x",
	"iltrovatore-setaccio ( http://www.iltrovatore.it)",
	"iltrovatore-setaccio/0.3-dev (indexing; http://www.iltrovatore.it/bot.html; info@iltrovatore.it)",
	"iltrovatore-setaccio/1.2 ( http://www.iltrovatore.it/aiuto/faq.html)",
	"iltrovatore-setaccio/1.2 (it-bot; http://www.iltrovatore.it/bot.html; info@iltrovatore.it)",
	"iltrovatore-setaccio/1.2-dev (spidering; http://www.iltrovatore.it/aiuto/.....)",
	"iltrovatore/1.2 (iltrovatore; http://www.iltrovatore.it/bot.html; bot@iltrovatore.it)",
	"imagewalker/2.0 (www.bdbrandprotect.com)",
	"incywincy data gatherer(webmaster@loopimprovements.com",
	"incywincy page crawler(webmaster@loopimprovements.com",
	"incywincy(http://www.look.com)",
	"incywincy(http://www.loopimprovements.com/robot.html)",
	"incywincy/2.1(loopimprovements.com/robot.html)",
	"indextheweb.com crawler7",
	"industry program 1.0.x",
	"inet library",
	"info@pubblisito.com- (http://www.pubblisito.com) il sud dei motori di ricerca",
	"infoconveracrawler/0.8 ( http://www.authoritativeweb.com/crawl)",
	"infofly/1.0 (http://www.versions-project.org/)",
	"infomine/8.0 adders",
	"infomine/8.0 remoteservices",
	"infomine/8.0 vlcrawler (http://infomine.ucr.edu/useragents)",
	"infonavirobot(f107)",
	"infoseek sidewinder/0.9",
	"infoseek sidewinder/1.0a",
	"infoseek sidewinder/1.1a",
	"infoseek sidewinder/1.45 (compatible; msie 10.0; unix)",
	"infoseek sidewinder/2.0b (linux 2.4 i686)",
	"ingrid/3.0 mt (webcrawler@nospamexperimental.net; http://webmaster.ilse.nl/jsp/webmaster.jsp)",
	"inktomi search",
	"innerprisebot/1.0 (http://www.innerprise.com/)",
	"insitor.com search and find world wide!",
	"insitornaut",
	"internet ninja x.0",
	"internetarchive/0.8-dev(nutch;http://lucene.apache.org/nutch/bot.html;nutch-agent@lucene.apache",
	"internetseer.com",
	"ioi/2.0 (isc open index crawler; http://index.isc.org/; bot@index.isc.org)",
	"ipiumbot laurion(dot)com",
	"ipselonbot/0.xx-beta (ipselon; http://www.ipselon.com; ipselonbot@ipselon.com)",
	"irlbot/1.0 ( http://irl.cs.tamu.edu/crawler)",
	"irlbot/3.0 (compatible; msie 6.0; http://irl.cs.tamu.edu/crawler/)",
	"isc systems irc search 2.1",
	"iupui research bot v 1.9a",
	"iwagent/ 1.0 - www.brandprotect.com",
	"jabot/6.x (http://odin.ingrid.org/)",
	"jabot/7.x.x (http://odin.ingrid.org/)",
	"jack",
	"jambot/0.1.x (jambot; http://www.jambot.com/blog; crawler@jambot.com)",
	"jambot/0.2.1 (jambot; http://www.jambot.com/blog/static.php?page=webmaster-robot; crawler@jambot.com)",
	"jayde crawler. http://www.jayde.com",
	"jetbot/1.0",
	"jobspider_ba/1.1",
	"jyxobot/x",
	"k2spider",
	"kaist aitrc crawler",
	"kaklebot - www.kakle.com/0.1 (kaklebot - www.kakle.com; http:// www.kakle.com/bot.html; support@kakle.com)",
	"kalooga/kalooga-4.0-dev-datahouse (kalooga; http://www.kalooga.com; info@kalooga.com)",
	"kalooga/kaloogabot (kalooga; http://www.kalooga.com/info.html?page=crawler; crawler@kalooga.com)",
	"kenjin spider",
	"kevin http://dznet.com/kevin/",
	"kevin http://websitealert.net/kevin/",
	"ke_1.0/2.0 libwww/5.2.8",
	"kfsw-bot (version: 1.01 powered by kfsw www.kfsw.de)",
	"kinja-imagebot (http://www.kinja.com/)",
	"kinjabot (http://www.kinja.com)",
	"kit-fireball/2.0",
	"kit-fireball/2.0 (compatible; mozilla 4.0; msie 5.5)",
	"knowitall(knowitall@cs.washington.edu)",
	"knowledge.com/0.x",
	"krugle/krugle,nutch/0.8+ (krugle web crawler; http://www.krugle.com/crawler/info.html; webcrawler@krugle.com)",
	"ksbot/1.0 (knowledgestorm crawler; http://www.knowledgestorm.com/resources/content/crawler/index.html; crawleradmin@knowledgestorm.com)",
	"kuloko-bot/0.x",
	"kulokobot www.kuloko.com kuloko@backweave.com",
	"kulturarw3/0.1",
	"lapozzbot/1.4 ( http://robot.lapozz.com)",
	"lapozzbot/1.5 (+http://robot.lapozz.hu)",
	"larbin (samualt9@bigfoot.com)",
	"larbin-experimental (efp@gmx.net)",
	"larbin_2.1.1 larbin2.1.1@somewhere.com",
	"larbin_2.2.0 (crawl@compete.com)",
	"larbin_2.2.1_de_viennot (laurent.viennot@inria.fr)",
	"larbin_2.2.2 (sugayama@lab7.kuis.kyoto-u.ac.jp)",
	"larbin_2.2.2_guillaume (guillaume@liafa.jussieu.fr)",
	"larbin_2.6.0 (larbin2.6.0@unspecified.mail)",
	"larbin_2.6.1 (larbin2.6.1@unspecified.mail)",
	"larbin_2.6.2 (hamasaki@grad.nii.ac.jp)",
	"larbin_2.6.2 (larbin2.6.2@unspecified.mail)",
	"larbin_2.6.2 (listonatccdotgatechdotedu)",
	"larbin_2.6.2 (pimenas@systems.tuc.gr)",
	"larbin_2.6.2 (tom@lemurconsulting.com)",
	"larbin_2.6.2 (vitalbox1@hotmail.com)",
	"larbin_2.6.3 (ltaa_web_crawler@groupes.epfl.ch)",
	"larbin_2.6.3 (wgao@genieknows.com)",
	"larbin_2.6.3_for_(http://cosco.hiit.fi/search/) tsilande@hiit.fi",
	"larbin_2.6_basileocaml (basile.starynkevitch@cea.fr)",
	"larbin_devel (http://pauillac.inria.fr/~ailleret/prog/larbin/)",
	"lawinfo-crawler/nutch-0.9-dev (crawler for lawinfo.com pages; http://www.lawinfo.com; webmaster@lawinfo.com)",
	"lecodechecker/3.0 libgetdoc/1.0",
	"leia/2.90",
	"leia/3.01pr (leiacrawler; [snip])",
	"letscrawl.com/1.0 +http://letscrawl.com/",
	"lexibot/1.00",
	"libby_1.1/libwww-perl/5.47",
	"libertyw (+http://www.lw01.com)",
	"libweb/clshttp -- hiongun@kt.co.kr",
	"libwww-perl/5.41",
	"libwww-perl/5.45",
	"libwww-perl/5.48",
	"libwww-perl/5.52 fp/2.1",
	"libwww-perl/5.52 fp/4.0",
	"libwww-perl/5.65",
	"libwww-perl/5.800",
	"libwww/5.3.2",
	"lijitspider/nutch-0.9 (reports crawler; http://www.lijit.com/; info(a)lijit(d)com)",
	"lincoln state web browser",
	"linkbot",
	"linknzbot",
	"links 2.0 (http://gossamer-threads.com/scripts/links/)",
	"links sql (http://gossamer-threads.com/scripts/links-sql/)",
	"linkscan/11.0beta2 unixshareware robot from elsop.com (used by indiafocus/indiainfo)",
	"linkscan/9.0g unix",
	"linkscan/x.x unix",
	"livetrans/nutch-0.9 (maintainer: cobain at iis dot sinica dot edu dot tw; http://wkd.iis.sinica.edu.tw/livetrans/)",
	"llaut/1.0 (http://mnm.uib.es/~gallir/llaut/bot.html)",
	"lmqueuebot/0.2",
	"lmspider (lmspider@scansoft.com)",
	"lnspiderguy",
	"localbot/1.0 ( http://www.localbot.co.uk/)",
	"localcombot/1.2.x ( http://www.local.com/bot.htm)",
	"lockstep spider/1.0",
	"look.com",
	"lovel as 1.0 ( +http://www.everatom.com)",
	"lti/lemurproject nutch spider/nutch-1.0-dev (lti crawler for cmu; http://www.lti.cs.cmu.edu; changkuk at cmu dot edu)",
	"lti/lemurproject nutch spider/nutch-1.0-dev (research spider using nutch; http://www.lemurproject.org; mhoy@cs.cmu.edu)",
	"lwp-trivial/1.32",
	"lwp-trivial/1.34",
	"lwp-trivial/1.34",
	"lwp::simple/5.22",
	"lwp::simple/5.36",
	"lwp::simple/5.48",
	"lwp::simple/5.50",
	"lwp::simple/5.51",
	"lwp::simple/5.53",
	"lwp::simple/5.63",
	"lwp::simple/5.803",
	"lycos_spider_(modspider)",
	"lycos_spider_(t-rex)",
	"lynx/2.8.4rel.1 libwww-fm/2.14 ssl-mm/1.4.1 openssl/0.9.6c (human-guided@lerly.net)",
	"mac finder 1.0.xx",
	"mackster( http://www.ukwizz.com )",
	"mahiti.com/mahiti crawler-1.0 (mahiti.com; http://mahiti.com ; mahiti.com)",
	"mail.ru/1.0",
	"mailto:webcraft@bea.com",
	"mammoth/1.0 ( http://www.sli-systems.com/)",
	"mantraagent",
	"mapoftheinternet.com ( http://mapoftheinternet.com)",
	"mariner/5.1b [de] (win95; i ;kolibri gncwebbot)",
	"marketwave hit list",
	"martini",
	"martini",
	"marvin v0.3",
	"masagool/1.0 (masagool; http://sagool.jp/; info@sagool.jp)",
	"masterseek",
	"mata hari/2.00 ",
	"matrix s.p.a. - fast enterprise crawler 6 (unknown admin e-mail address)",
	"maxomobot/dev-20051201 (maxomo; http://67.102.134.34:4047/maxomo/maxomobot.html; maxomobot@maxomo.com)",
	"mdbot/1.0 (+http://www.megadownload.net/bot.html)",
	"mediacrawler-1.0 (experimental)",
	"mediapartners-google/2.1 ( http://www.googlebot.com/bot.html)",
	"mediasearch/0.1",
	"megasheep v1.0 (www.searchuk.com internet sheep)",
	"megite2.0 (http://www.megite.com)",
	"mercator-1.x",
	"mercator-2.0",
	"mercator-scrub-1.1",
	"metaeuro web crawler/0.2 (metaeuro web search clustering engine; http://www.metaeuro.com; crawler at metaeuro dot com)",
	"metager-linkchecker",
	"metagerbot/0.8-dev (metagerbot; http://metager.de;  )",
	"metager_prechecker0.1",
	"metaspinner/0.01 (metaspinner; http://www.meta-spinner.de/; support@meta-spinner.de/)",
	"metatagsdir/0.7 (+http://metatagsdir.com/directory/)",
	"mfc foundation class library 4.0",
	"microbaz",
	"microsoft small business indexer",
	"microsoft url control - 6.00.8xxx",
	"microsoftprototypecrawler (how's my crawling? mailto:newbiecrawler@hotmail.com)",
	"missauga locate 1.0.0",
	"missigua locator 1.9",
	"missouri college browse",
	"misterbot-nutch/0.7.1 (misterbot-nutch; http://www.misterbot.fr; admin@misterbot.fr)",
	"miva (algofeedback@miva.com)",
	"mizzu labs 2.2",
	"mj12bot/vx.x.x (http://majestic12.co.uk/bot.php?+)",
	"mj12bot/vx.x.x (http://www.majestic12.co.uk/projects/dsearch/mj12bot.php)",
	"mjbot (seo assessment)",
	"mlbot (www.metadatalabs.com)",
	"mnogosearch/3.2.xx",
	"mo college 1.9",
	"moget/x.x (moget@goo.ne.jp)",
	"mogimogi/1.0",
	"mojeekbot/0.x (archi; http://www.mojeek.com/bot.html)",
	"morris - mixcat crawler ( http://mixcat.com)",
	"mouse-house/7.4 (spider_monkey spider info at www.mobrien.com/sm.shtml)",
	"mozdex/0.xx-dev (mozdex; http://www.mozdex.com/en/bot.html; spider@mozdex.com)",
	"mozilla (mozilla@somewhere.com)",
	"mozilla 4.0(compatible; botseer/1.0; +http://botseer.ist.psu.edu)",
	"mozilla/2.0 (compatible; ask jeeves)",
	"mozilla/2.0 (compatible; ask jeeves/teoma)",
	"mozilla/2.0 (compatible; ask jeeves/teoma; http://about.ask.com/en/docs/about/webmasters.shtml) ",
	"mozilla/2.0 (compatible; ask jeeves/teoma; http://sp.ask.com/docs/about/tech_crawling.html)",
	"mozilla/2.0 (compatible; ezresult -- internet search engine)",
	"mozilla/2.0 (compatible; newt activex; win32)",
	"mozilla/2.0 (compatible; t-h-u-n-d-e-r-s-t-o-n-e)",
	"mozilla/3.0 (compatible; fluffy the spider; http://www.searchhippo.com/; info@searchhippo.com)",
	"mozilla/3.0 (compatible; indy library)",
	"mozilla/3.0 (compatible; muscatferret/1.5.4; claude@euroferret.com)",
	"mozilla/3.0 (compatible; muscatferret/1.5; olly@muscat.co.uk)",
	"mozilla/3.0 (compatible; muscatferret/1.6.x; claude@euroferret.com)",
	"mozilla/3.0 (compatible; scan4mail (advanced version) http://www.peterspages.net/?scan4mail)",
	"mozilla/3.0 (compatible; scollspider; http://www.webwobot.com)",
	"mozilla/3.0 (compatible; webinator-dev01.home.iprospect.com/2.56)",
	"mozilla/3.0 (compatible; webinator-indexer.cyberalert.com/2.56)",
	"mozilla/3.0 (ingrid/3.0 mt; webcrawler@nospamexperimental.net; http://aanmelden.ilse.nl/?aanmeld_mode=webhints)",
	"mozilla/3.0 (slurp.so/goo; slurp@inktomi.com; http://www.inktomi.com/slurp.html)",
	"mozilla/3.0 (slurp/cat; slurp@inktomi.com; http://www.inktomi.com/slurp.html)",
	"mozilla/3.0 (slurp/si; slurp@inktomi.com; http://www.inktomi.com/slurp.html)",
	"mozilla/3.0 (vagabondo/1.1 mt; webcrawler@nospamwise-guys.nl; http://webagent.wise-guys.nl/)",
	"mozilla/3.0 (vagabondo/1.x mt; webagent@wise-guys.nl; http://webagent.wise-guys.nl/)",
	"mozilla/3.0 (vagabondo/2.0 mt; webcrawler@nospamexperimental.net; http://aanmelden.ilse.nl/?aanmeld_mode=webhints)",
	"mozilla/3.0 (vagabondo/2.0 mt; webcrawler@nospamwise-guys.nl; http://webagent.wise-guys.nl/)",
	"mozilla/3.01 (compatible; links2go similarity engine)",
	"mozilla/4.0",
	"mozilla/4.0 (agadine3.0) www.agada.de",
	"mozilla/4.0 (compatible: astraspider v.2.1 : astrafind.com)",
	"mozilla/4.0 (compatible;  vagabondo/2.2; webcrawler at wise-guys dot nl; http://webagent.wise-guys.nl/)",
	"mozilla/4.0 (compatible;  vagabondo/4.0beta; webcrawler at wise-guys dot nl; http://webagent.wise-guys.nl/)",
	"mozilla/4.0 (compatible; advanced email extractor v2.xx)",
	"mozilla/4.0 (compatible; b_l_i_t_z_b_o_t)",
	"mozilla/4.0 (compatible; christcrawler.com christcrawler@christcentral.com)",
	"mozilla/4.0 (compatible; crawlx, crawler@trd.overture.com)",
	"mozilla/4.0 (compatible; daumoa-video; +http://ws.daum.net/aboutkr.html)",
	"mozilla/4.0 (compatible; fastcrawler3 support-fastcrawler3@fast.no)",
	"mozilla/4.0 (compatible; fdse robot)",
	"mozilla/4.0 (compatible; gpu p2p crawler http://gpu.sourceforge.net/search_engine.php)",
	"mozilla/4.0 (compatible; grub-client-0.2.x; crawl your stuff with http://grub.org)",
	"mozilla/4.0 (compatible; grub-client-0.3.x; crawl your own stuff with http://grub.org)",
	"mozilla/4.0 (compatible; grub-client-2.x)",
	"mozilla/4.0 (compatible; iplexx spider/1.0 http://www.iplexx.at)",
	"mozilla/4.0 (compatible; msie 4.01; vonna.com b o t)",
	"mozilla/4.0 (compatible; msie 4.01; windows ce; ppc; 240x320; spv m700; opver 19.123.2.733) orangebot-mobile 2008.0 (mobilesearch.support@orange-ftgroup.com)",
	"mozilla/4.0 (compatible; msie 4.0; windows nt; site server 3.0 robot) indonesia interactive",
	"mozilla/4.0 (compatible; msie 5.01; windows nt 5.0) (samualt9@bigfoot.com)",
	"mozilla/4.0 (compatible; msie 5.0; netnose-crawler 2.0; a new search experience: http://www.netnose.com)",
	"mozilla/4.0 (compatible; msie 5.0; windows 95) truerobot; 1.5",
	"mozilla/4.0 (compatible; msie 5.0; windows 95) voilabot beta 1.2 (http://www.voila.com/)",
	"mozilla/4.0 (compatible; msie 5.0; windows 95) voilabot; 1.6",
	"mozilla/4.0 (compatible; msie 5.0; windows nt; digext; dts agent",
	"mozilla/4.0 (compatible; msie 5.0; www.galaxy.com; www.psychedelix.com)",
	"mozilla/4.0 (compatible; msie 5.0; www.galaxy.com; www.psychedelix.com/; http://www.galaxy.com/info/crawler.html)",
	"mozilla/4.0 (compatible; msie 5.0; yandex)",
	"mozilla/4.0 (compatible; msie 5.5; windows nt 4.0; obot)",
	"mozilla/4.0 (compatible; msie 5.5; windows nt 4.0; qxw03018)",
	"mozilla/4.0 (compatible; msie 6.0 compatible; asterias crawler v4; +http://www.singingfish.com/help/spider.html; webmaster@singingfish.com); spiderthread  revision: 3.10",
	"mozilla/4.0 (compatible; msie 6.0; msie 5.5; windows nt 5.1) skampy/0.9.x [en]",
	"mozilla/4.0 (compatible; msie 6.0; targetseek/1.0; +http://www.targetgroups.net/targetseek.html)",
	"mozilla/4.0 (compatible; msie 6.0; windows nt 5.0; odp entries t_st; http://tuezilla.de/t_st-odp-entries-agent.html)",
	"mozilla/4.0 (compatible; msie 6.0; windows nt 5.0; odp links test; http://tuezilla.de/test-odp-links-agent.html)",
	"mozilla/4.0 (compatible; msie 6.0; windows nt 5.0; zoomspider.net bot; .net clr 1.1.4322)",
	"mozilla/4.0 (compatible; msie 6.0; windows nt 5.1; heritrix/1.3.0 http://www.cs.washington.edu/research/networking/websys/)",
	"mozilla/4.0 (compatible; msie 6.0; windows nt 5.1; qihoobot 1.0  qihoobot@qihoo.net)",
	"mozilla/4.0 (compatible; msie 6.0; windows nt; ms search 4.0 robot)",
	"mozilla/4.0 (compatible; msie enviable; daumoa 2.0; daum web robot; daum communications corp., korea; +http://ws.daum.net/aboutkr.html)",
	"mozilla/4.0 (compatible; msie is not me; daumoa/1.0.1; daum web robot; daum communications corp., korea)",
	"mozilla/4.0 (compatible; naverbot/1.0; http://help.naver.com/delete_main.asp)",
	"mozilla/4.0 (compatible; speedyspider; www.entireweb.com)",
	"mozilla/4.0 (compatible; www.galaxy.com)",
	"mozilla/4.0 (compatible; y!j; for robot study; keyoshid)",
	"mozilla/4.0 (compatible; yahoo japan; for robot study; kasugiya)",
	"mozilla/4.0 (jemmathetourist;http://www.activtourist.com)",
	"mozilla/4.0 (mobilephone scp-5500/us/1.0) netfront/3.0 mmp/2.0 (compatible; googlebot/2.1; http://www.google.com/bot.html)",
	"mozilla/4.0 (mobilephone scp-5500/us/1.0) netfront/3.0 mmp/2.0 fake (compatible; googlebot/2.1; http://www.google.com/bot.html)",
	"mozilla/4.0 (mozilla; http://www.mozilla.org/docs/en/bot.html; master@mozilla.com)",
	"mozilla/4.0 (sleek spider/1.2)",
	"mozilla/4.0 compatible furlbot/furl search 2.0 (furlbot; http://www.furl.net; wn.furlbot@looksmart.net)",
	"mozilla/4.0 compatible zyborg/1.0 (wn.zyborg@looksmart.net; http://www.wisenutbot.com)",
	"mozilla/4.0 compatible zyborg/1.0 (zyborg@wisenutbot.com; http://www.wisenutbot.com)",
	"mozilla/4.0 compatible zyborg/1.0 dead link checker (wn.zyborg@looksmart.net; http://www.wisenutbot.com)",
	"mozilla/4.0 compatible zyborg/1.0 for homepage (zyborg@wisenutbot.com; http://www.wisenutbot.com)",
	"mozilla/4.0 efp@gmx.net",
	"mozilla/4.0 [en] (ask jeeves corporate spider)",
	"mozilla/4.0(compatible; zealbot 1.0)",
	"mozilla/4.04 (compatible; dulance bot; +http://www.dulance.com/bot.jsp)",
	"mozilla/4.08 [en] (win98; u ;nav)",
	"mozilla/4.0_(compatible;_msie_5.0;_windows_95)_truerobot/1.4 libwww/5.2.8",
	"mozilla/4.0_(compatible;_msie_5.0;_windows_95)_voilabot/1.6 libwww/5.3.2",
	"mozilla/4.6 [en] (http://www.cnet.com/)",
	"mozilla/4.7",
	"mozilla/4.7 (compatible; http://eidetica.com/spider)",
	"mozilla/4.7 (compatible; intelliseek; http://www.intelliseek.com)",
	"mozilla/4.7 (compatible; whizbang)",
	"mozilla/4.7 (compatible; whizbang; http://www.whizbang.com/crawler)",
	"mozilla/4.7 [en](becomebot@exava.com)",
	"mozilla/4.7 [en](exabot@exava.com)",
	"mozilla/4.72 [en] (bacs http://www.ba.be)",
	"mozilla/5.0",
	"mozilla/5.0 (+http://www.eurekster.com/mammoth) mammoth/0.1",
	"mozilla/5.0 (+http://www.sli-systems.com/) mammoth/0.1",
	"mozilla/5.0 (clustered-search-bot/1.0; support@clush.com; http://www.clush.com/)",
	"mozilla/5.0 (compatible; +http://www.evri.com/evrinid)",
	"mozilla/5.0 (compatible; 008/0.83; http://www.80legs.com/spider.html;) gecko/2008032620",
	"mozilla/5.0 (compatible; abonti/0.8 - http://www.abonti.com)",
	"mozilla/5.0 (compatible; aihitbot/1.0; +http://www.aihit.com/)",
	"mozilla/5.0 (compatible; ansearchbot/1.x; +http://www.ansearch.com.au/)",
	"mozilla/5.0 (compatible; archive.org_bot/1.10.0 +http://www.loc.gov/minerva/crawl.html)",
	"mozilla/5.0 (compatible; archive.org_bot/1.13.1x http://crawler.archive.org)",
	"mozilla/5.0 (compatible; archive.org_bot/1.5.0-200506132127 http://crawler.archive.org) hurricane katrina",
	"mozilla/5.0 (compatible; ask jeeves/teoma;  http://about.ask.com/en/docs/about/webmasters.shtml)",
	"mozilla/5.0 (compatible; becomebot/1.23; http://www.become.com/webmasters.html)",
	"mozilla/5.0 (compatible; becomebot/1.xx; msie 6.0 compatible; http://www.become.com/webmasters.html)",
	"mozilla/5.0 (compatible; becomebot/2.0beta; http://www.become.com/webmasters.html)",
	"mozilla/5.0 (compatible; becomebot/2.x; msie 6.0 compatible; http://www.become.com/site_owners.html)",
	"mozilla/5.0 (compatible; becomejpbot/2.3; msie 6.0 compatible; +http://www.become.co.jp/site_owners.html)",
	"mozilla/5.0 (compatible; blogrefsbot/0.1; http://www.blogrefs.com/about/bloggers)",
	"mozilla/5.0 (compatible; bot; +http://pressemitteilung.ws/spamfilter",
	"mozilla/5.0 (compatible; buzzrankingbot/1.0; +http://www.buzzrankingbot.com/)",
	"mozilla/5.0 (compatible; charlotte/1.0b; charlotte@betaspider.com)",
	"mozilla/5.0 (compatible; charlotte/1.0b; http://www.searchme.com/support/)",
	"mozilla/5.0 (compatible; crawling jpeg; http://www.yama.info.waseda.ac.jp)",
	"mozilla/5.0 (compatible; de/1.13.2 +http://www.de.com)",
	"mozilla/5.0 (compatible; diffbot/0.1; +http://www.diffbot.com)",
	"mozilla/5.0 (compatible; dns-digger-explorer/1.0; +http://www.dnsdigger.com)",
	"mozilla/5.0 (compatible; dns-digger/1.0; +http://www.dnsdigger.com)",
	"mozilla/5.0 (compatible; earthcom.info/2.01; http://www.earthcom.info)",
	"mozilla/5.0 (compatible; earthcom/2.2; +http://enter4u.eu)",
	"mozilla/5.0 (compatible; exabot test/3.0; +http://www.exabot.com/go/robot)",
	"mozilla/5.0 (compatible; fatbot 2.0; http://www.thefind.com/main/crawlerfaqs.fhtml)",
	"mozilla/5.0 (compatible; galbot/1.0; +http://www.galbot.com/bot.html)",
	"mozilla/5.0 (compatible; genevabot http://www.healthdash.com)",
	"mozilla/5.0 (compatible; googlebot/2.1; http://www.google.com/bot.html)",
	"mozilla/5.0 (compatible; heritrix/1.0.4 http://innovationblog.com)",
	"mozilla/5.0 (compatible; heritrix/1.10.2 +http://i.stanford.edu/)",
	"mozilla/5.0 (compatible; heritrix/1.12.1 +http://newstin.com/)",
	"mozilla/5.0 (compatible; heritrix/1.12.1 +http://www.page-store.com)",
	"mozilla/5.0 (compatible; heritrix/1.12.1 +http://www.page-store.com) [email:paul@page-store.com]",
	"mozilla/5.0 (compatible; heritrix/1.3.0 http://archive.crawler.org)",
	"mozilla/5.0 (compatible; heritrix/1.4.0 +http://www.chepi.net)",
	"mozilla/5.0 (compatible; heritrix/1.4t http://www.truveo.com/)",
	"mozilla/5.0 (compatible; heritrix/1.5.0 http://www.l3s.de/~kohlschuetter/projects/crawling/)",
	"mozilla/5.0 (compatible; heritrix/1.5.0-200506231921 http://pandora.nla.gov.au/crawl.html)",
	"mozilla/5.0 (compatible; heritrix/1.6.0 http://www.worio.com/)",
	"mozilla/5.0 (compatible; heritrix/1.7.0 +http://www.greaterera.com/)",
	"mozilla/5.0 (compatible; heritrix/1.x.x +http://www.accelobot.com)",
	"mozilla/5.0 (compatible; heritrix/2.0.0-rc1 +http://www.aol.com)",
	"mozilla/5.0 (compatible; hermit search. com; +http://www.hermitsearch.com)",
	"mozilla/5.0 (compatible; hyperixscoop/1.3; +http://www.hyperix.com)",
	"mozilla/5.0 (compatible; idbot/1.0; +http://www.id-search.org/bot.html)",
	"mozilla/5.0 (compatible; interseekweb/3.x)",
	"mozilla/5.0 (compatible; konqueror/3.5; linux) khtml/3.5.5 (like gecko) (exabot-thumbnails)",
	"mozilla/5.0 (compatible; lemspider 0.1)",
	"mozilla/5.0 (compatible; mojeekbot/2.0; http://www.mojeek.com/bot.html)",
	"mozilla/5.0 (compatible; msie 6.0; podtech network; crawler_admin@podtech.net)",
	"mozilla/5.0 (compatible; onetszukaj/5.0; http://szukaj.onet.pl)",
	"mozilla/5.0 (compatible; palmerabot; http://www.links24h.com/help/palmera) version 0.001",
	"mozilla/5.0 (compatible; pogodak.ba/3.x)",
	"mozilla/5.0 (compatible; pogodak.hr/3.1)",
	"mozilla/5.0 (compatible; pwebot/3.1; http://www.programacionweb.net/robot.php)",
	"mozilla/5.0 (compatible; quantcastbot/1.0; www.quantcast.com)",
	"mozilla/5.0 (compatible; scoutjet; +http://www.scoutjet.com/)",
	"mozilla/5.0 (compatible; scrubby/2.2;  http://www.scrubtheweb.com/)",
	"mozilla/5.0 (compatible; shunixbot/1.x.x +http://www.shunix.com/robot.htm)",
	"mozilla/5.0 (compatible; shunixbot/1.x; http://www.shunix.com/bot.htm)",
	"mozilla/5.0 (compatible; skreemrbot +http://skreemr.com)",
	"mozilla/5.0 (compatible; summizebot +http://www.summize.com)",
	"mozilla/5.0 (compatible; synoobot/0.9; http://www.synoo.com/search/bot.html)",
	"mozilla/5.0 (compatible; theophrastus/x.x; http://users.cs.cf.ac.uk/n.a.smith/theophrastus.php)",
	"mozilla/5.0 (compatible; tridentspider/3.1)",
	"mozilla/5.0 (compatible; vagabondo/2.1; webcrawler at wise-guys dot nl; http://webagent.wise-guys.nl/)",
	"mozilla/5.0 (compatible; webduniabot/1.0; +http://search.webdunia.com/bot.aspx)",
	"mozilla/5.0 (compatible; worio bot heritrix/1.10.0 +http://worio.com)",
	"mozilla/5.0 (compatible; wow lemmings kathune/2.0;http://www.wowlemmings.com/kathune.html)",
	"mozilla/5.0 (compatible; yahoo! de slurp; http://help.yahoo.com/help/us/ysearch/slurp)",
	"mozilla/5.0 (compatible; yahoo! slurp china; http://misc.yahoo.com.cn/help.html)",
	"mozilla/5.0 (compatible; yahoo! slurp; http://help.yahoo.com/help/us/ysearch/slurp)",
	"mozilla/5.0 (compatible; yoono; http://www.yoono.com/)",
	"mozilla/5.0 (compatible; youdaobot/1.0; http://www.youdao.com/help/webmaster/spider/; )",
	"mozilla/5.0 (compatible; zenbot/1.3; +http://zen.co.za/webmasters/)",
	"mozilla/5.0 (compatible; zermelo +http://www.powerset.com) [email:paul@page-store.com,crawl@powerset.com]",
	"mozilla/5.0 (compatible;archive.org_bot/1.7.1; collectionid=316; archive-it; +http://www.archive-it.org)",
	"mozilla/5.0 (compatible;archive.org_bot/heritrix-1.9.0-200608171144 +http://pandora.nla.gov.au/crawl.html)",
	"mozilla/5.0 (compatible;mainseek_bot)",
	"mozilla/5.0 (slurp/cat; slurp@inktomi.com; http://www.inktomi.com/slurp.html)",
	"mozilla/5.0 (slurp/si; slurp@inktomi.com; http://www.inktomi.com/slurp.html)",
	"mozilla/5.0 (twiceler-0.9 http://www.cuill.com/twiceler/robot.html)",
	"mozilla/5.0 (version: xxxx type:xx)",
	"mozilla/5.0 (wgao@genieknows.com)",
	"mozilla/5.0 (windows; u; windows nt 5.0; en-us; rv:1.7.7) nimblecrawler 1.11 obeys useragent nimblecrawler for problems contact: crawler_at_dataalchemy.com",
	"mozilla/5.0 (windows; u; windows nt 5.1; fr; rv:1.8.1) voilabot beta 1.2 (support.voilabot@orange-ftgroup.com)",
	"mozilla/5.0 (windows; u; windows nt 5.1; fr; rv:1.8.1) voilabot beta 1.2 (support.voilabot@orange-ftgroup.com)",
	"mozilla/5.0 (windows;) nimblecrawler 1.12 obeys useragent nimblecrawler for problems contact: crawler@health",
	"mozilla/5.0 (windows;) nimblecrawler 1.12 obeys useragent nimblecrawler for problems contact: crawler@healthline.com",
	"mozilla/5.0 (x11; u; linux i686; en-us; rv:1.2.1; aggregator:spinn3r (spinn3r 3.1); http://spinn3r.com/robot) gecko/20021130",
	"mozilla/5.0 url-spider",
	"mozilla/5.0 usww.com-spider-for-w8.net",
	"mozilla/5.0 wgao@genieknows.com",
	"mozilla/5.0 [en] (compatible; gulper web bot 0.2.4 www.ecsl.cs.sunysb.edu/~maxim/cgi-bin/link/gulperbot)",
	"mqbot metaquerier.cs.uiuc.edu/crawler",
	"mqbot/nutch-0.9-dev (mqbot nutch crawler; http://falcon.cs.uiuc.edu; mqbot@cs.uiuc.edu)",
	"msnbot-media/1.0 (+http://search.msn.com/msnbot.htm)",
	"msnbot-products/1.0 (+http://search.msn.com/msnbot.htm)",
	"msnbot/0.xx (http://search.msn.com/msnbot.htm)",
	"msnbot/x.xx ( http://search.msn.com/msnbot.htm)",
	"msnbot_mobile msmobot mozilla/2.0 (compatible; msie 4.02; windows ce; default)",
	"msnptc/1.0",
	"msrbot (http://research.microsoft.com/research/sv/msrbot)",
	"multicrawler ( http://sw.deri.org/2006/04/multicrawler/robots.html)",
	"multitext/0.1",
	"musicwalker2.0 ( http://www.somusical.com)",
	"mvaclient",
	"mylinea.com crawler 2.0",
	"naamah 1.0.1/blogbot (http://blogbot.de/)",
	"naamah 1.0a/blogbot (http://blogbot.de/)",
	"nabot/5.0",
	"nabot_1.0",
	"nameofagent (cms spider)",
	"nasa search 1.0",
	"nationaldirectory-webspider/1.3",
	"nationaldirectoryaddurl/1.0",
	"naverbot-1.0 (nhn corp. / +82-2-3011-1954 / nhnbot@naver.com)",
	"naverbot_dloader/1.5",
	"navissobot",
	"navissobot/1.7  (+http://navisso.com/)",
	"ncsa beta 1 (http://vias.ncsa.uiuc.edu/viasarchivinginformation.html)",
	"nebullabot/2.2 (http://bot.nebulla.info)",
	"nec research agent -- compuman at research.nj.nec.com",
	"net-seekr bot/net-seekr bot v1 (http://www.net-seekr.com)",
	"netinfobot/1.0 (http://netinfo.bg/netinfobot.html)",
	"netlookout/2.24",
	"netluchs/0.8-dev ( ; http://www.netluchs.de/; ___don't___spam_me_@netluchs.de)",
	"netnosecrawler/v1.0",
	"netprospector javacrawler",
	"netresearchserver(http://www.look.com)",
	"netresearchserver/x.x(loopimprovements.com/robot.html)",
	"netseer/nutch-0.9 (netseer crawler; http://www.netseer.com; crawler@netseer.com)",
	"netsprint -- 2.0",
	"netwhatcrawler/0.06-dev (netwhatcrawler from netwhat.com; http://www.netwhat.com; support@netwhat.com)",
	"netzippy",
	"nextgensearchbot 1 (for information visit http://www.eliyon.com/nextgensearchbot)",
	"nextopiabot (+http://www.nextopia.com) distributed crawler client beta v0.x",
	"ng-search/0.90 (ng-searchbot; http://www.ng-search.com;  )",
	"ng/1.0",
	"ng/4.0.1229",
	"nitle blog spider/0.01",
	"noago spider",
	"nokia-waptoolkit/1.2 googlebot(at)googlebot.com",
	"nokia6610/1.0 (3.09) profile/midp-1.0 configuration/cldc-1.0 (compatible;yahooseeker/m1a1-r2d2; http://help.yahoo.com/help/us/ysearch/crawling/crawling-01.html)",
	"nokodobot/1.x (+http://nokodo.com/bot.htm)",
	"norbert the spider(burf.com)",
	"noxtrumbot/1.0 (crawler@noxtrum.com)",
	"noyona_0_1",
	"np/0.1 (np; http://www.nameprotect.com; npbot@nameprotect.com)",
	"npbot (http://www.nameprotect.com/botinfo.html)",
	"npbot-1/2.0",
	"nsauditor/1.x",
	"nsyght.com/nutch-1.0-dev (nsyght.com; nsyght.com)",
	"nsyght.com/nutch-x.x (nsyght.com; search.nsyght.com)",
	"nttdirectory_robot/0.9 (super-robot@super.navi.ocn.ne.jp)",
	"nusearch spider <a href='http://www.nusearch.com'>www.nusearch.com</a> (compatible; msie 4.01)",
	"nusearch spider (compatible; msie 6.0)",
	"nusearch spider www.nusearch.com",
	"nutch",
	"nutch crawler/nutch-0.9 (picapage.com; admin@picapage.com)",
	"nutch/nutch-0.9 (eurobot; http://www.ayell.eu )",
	"nutchcvs/0.0x-dev (nutch; http://www.nutch.org/docs/bot.html; nutch-agent@lists.sourceforge.net)",
	"nutchcvs/0.7.1 (nutch running at uw; http://www.nutch.org/docs/en/bot.html; sycrawl@cs.washington.edu)",
	"nutchec2test/nutch-0.9-dev (testing nutch on amazon ec2.; http://lucene.apache.org/nutch/bot.html; ec2test at lucene.com)",
	"nutchorg/0.0x-dev (nutch; http://www.nutch.org/docs/bot.html; nutch-agent@lists.sourceforge.net)",
	"nutchsearch/nutch-0.9 (nutch search 1.0; herceg_novi at yahoo dot com)",
	"nutchvinegarcrawl/nutch-0.8.1 (vinegar; http://www.cs.washington.edu; eytanadar at gmail dot com)",
	"obidos-bot (just looking for books.)",
	"objectssearch/0.01-dev (objectssearch;http://www.objectssearch.com/bot.html; support@thesoftwareobjects.com)",
	"objectssearch/0.0x (objectssearch; http://www.objectssearch.com/bot.html; support@thesoftwareobjects.com)",
	"obot ((compatible;win32))",
	"ocelli/1.x (http://www.globalspec.com/ocelli)",
	"octora beta - www.octora.com",
	"octora beta bot - www.octora.com",
	"omniexplorer_bot/1.0x (+http://www.omni-explorer.com) internet categorizeromniexplorer http://www.omni-explorer.com/ car & shopping search (64.62.175.xxx)",
	"omniexplorer_bot/1.0x (+http://www.omni-explorer.com) job crawler",
	"omniexplorer_bot/1.1x (+http://www.omni-explorer.com) torrent crawler",
	"omniexplorer_bot/x.xx (+http://www.omni-explorer.com) worldindexer",
	"onet.pl sa- http://szukaj.onet.pl",
	"ontospider/1.0 libwww-perl/5.65",
	"oozbot/0.20 ( http://www.setooz.com/oozbot.html ; agentname at setooz dot_com )",
	"openacoon v4.0.x (www.openacoon.de)",
	"openbot/3.0+(robot-response@openfind.com.tw;+http://www.openfind.com.tw/robot.html)",
	"openfind data gatherer- openbot/3.0+(robot-response@openfind.com.tw;+http://www.openfind.com.tw/robot.html)",
	"openfind robot/1.1a2",
	"openisearch/1.x (www.openisearch.com)",
	"opentaggerbot (http://www.opentagger.com/opentaggerbot.htm)",
	"opentextsitecrawler/2.9.2",
	"openwebspider/0.x.x (http://www.openwebspider.org)",
	"openwebspider/x",
	"opidoobot (larbin2.6.3@unspecified.mail)",
	"oracle ultra search",
	"orangespider",
	"orbiter/t-2.0 (+http://www.dailyorbit.com/bot.htm)",
	"overture-webcrawler/3.8/fresh (atw-crawler at fast dot no; http://fast.no/support/crawler.asp)",
	"ozelot/2.7.3 (search engine indexer; www.flying-cat.de/ozelot; ozelot@flying-cat.de)",
	"padlibrary spider",
	"pagebiteshyperbot/600 (http://www.pagebites.com/)",
	"pagebull http://www.pagebull.com/",
	"page_verifier (http://www.securecomputing.com/goto/pv)",
	"parallelcontextfocuscrawler1.1parallelcontextfocuscrawler1.1",
	"parasite/1.0b (http://www.ianett.com/parasite/)",
	"patwebbot (http://www.herz-power.de/technik.html)",
	"pbrowse 1.4b",
	"pd02_1.0.0 pd02_1.0.0@dzimi@post.sk",
	"peerbot www.peerbot.com",
	"peval 1.4b",
	"picosearch/1.0",
	"piffany_web_scraper_v0.x",
	"piffany_web_spider_v0.x",
	"pipeliner/0.3a (pipeline spider;http://www.pipeline-search.com/webmaster.html; webmaster'at'pipeline-search.com)",
	"pipeliner/0.xx (pipeline spider; http://www.pipeline-search.com/webmaster.html)",
	"pita",
	"pjspider/3.0 (pjspider@portaljuice.com; http://www.portaljuice.com)",
	"plagiarbot/1.0",
	"pluckfeedcrawler/2.0 (compatible; mozilla 4.0; msie 5.5; http://www.pluck.com; 1 subscribers)",
	"pluggd/nutch-0.9 (automated crawler http://www.pluggd.com;support at pluggd dot com)",
	"poirot",
	"polybot 1.0 (http://cis.poly.edu/polybot/)",
	"pompos/1.x http://dir.com/pompos.html",
	"pompos/1.x pompos@iliad.fr",
	"popdexter/1.0",
	"port huron labs",
	"portalbspider/2.0 (spider@portalb.com)",
	"potbot 1.0",
	"prcrawler/nutch-0.9 (data mining development project; crawler@projectrialto.com)",
	"privacyfinder cache bot v1.0",
	"privacyfinder/1.1",
	"production bot 0116b",
	"production bot 2016b",
	"production bot dot 3016b",
	"program shareware 1.0.2",
	"project xp5 [2.03.07-111203]",
	"prove answerbot 4.0",
	"prowebguide link checker (http://www.prowebguide.com)",
	"psbot/0.1 (+http://www.picsearch.com/bot.html)",
	"psurf15a 11",
	"psurf15a 51",
	"psurf15a va",
	"psycheclone",
	"pubcrawl (pubcrawl.stanford.edu)",
	"pulsebot (pulse web miner)",
	"pwebot/1.2 inspector (http://www.programacionweb.net/robot.php)",
	"pycurl",
	"python-urllib/1.1x",
	"python-urllib/2.0a1",
	"qango.com web directory (http://www.qango.com/)",
	"qeavis agent/nutch-0.9 (quantitative evaluation of academic websites visibility; http://nlp.uned.es/qeavis",
	"qpcreep test rig ( we are not indexing- just testing )",
	"quepasacreep ( crawler@quepasacorp.com )",
	"quepasacreep v0.9.1x",
	"queryn metasearch",
	"qweerybot/3.01 ( http://qweerybot.qweery.nl)",
	"qweery_robot.txt_checkbot/3.01 (http://qweerybot.qweery.com)",
	"r6_commentreader_(www.radian6.com/crawler)",
	"r6_feedfetcher_(www.radian6.com/crawler)",
	"rabaz (rabaz at gigabaz dot com)",
	"rabot/1.0 agent-admin/phortse@hanmail.net",
	"rambot xtreme x.x",
	"rampybot - www.giveramp.com/0.1 (rampybot - www.giveramp.com; http://www.giveramp.com/bot.html; support@giveramp.com)",
	"rampybot/0.8-dev (nutch; http://lucene.apache.org/nutch/bot.html; nutch-agent@lucene.apache.org)",
	"rankivabot/3.2 (www.rankiva.com; 3.2; vzmxikn)",
	"rational sitecheck (windows nt)",
	"reaper [2.03.10-031204] (http://www.sitesearch.ca/reaper/)",
	"reaper/2.0x (+http://www.sitesearch.ca/reaper)",
	"redcarpet/1.2 (http://www.redcarpet-inc.com/robots.html)",
	"redcell/0.1 (infosec search bot (coming soon); http://www.telegenetic.net/bot.html; lhall@telegenetic.net)",
	"redcell/0.1 (redcell; telegenetic.net/bot.html; lhall_at_telegenetic.net)",
	"redkernel www-spider 2/0 (+http://www-spider.redkernel-softwares.com/)",
	"rico/0.1",
	"rixbot (http://babelserver.org/rix)",
	"robocrawl (http://www.canadiancontent.net)",
	"robocrawl (www.canadiancontent.net)",
	"robopal (http://www.findpal.com/)",
	"robot/www.pj-search.com",
	"robot: nutchcrawler- owner: wdavies@acm.org",
	"robot@supersnooper.com",
	"robozilla/1.0",
	"rotondo/3.1 libwww/5.3.1",
	"rrc (crawler_admin@bigfoot.com)",
	"rssmicro.com rss/atom feed robot",
	"rsurf15a 41",
	"rsurf15a 51",
	"rsurf15a 81",
	"rufusbot (rufus web miner; http://64.124.122.252/feedback.html)",
	"rufusbot (rufus web miner; http://www.webaroo.com/roositeowners.html)",
	"sait/nutch-0.9 (sait research; http://www.samsung.com)",
	"sandcrawler - compatibility testing",
	"sapphirewebcrawler/1.0 (sapphire web crawler using nutch; http://boston.lti.cs.cmu.edu/crawler/; mhoy@cs.cmu.edu)",
	"sapphirewebcrawler/nutch-1.0-dev (sapphire web crawler using nutch; http://boston.lti.cs.cmu.edu/crawler/; mhoy@cs.cmu.edu)",
	"savvybot/0.2",
	"sbider/0.7 (sbider; http://www.sitesell.com/sbider.html; http://support.sitesell.com/contact-support.html)",
	"sbider/0.8-dev (sbider; http://www.sitesell.com/sbider.html; http://support.sitesell.com/contact-support.html)",
	"scanweb",
	"scholaruniverse/0.8 (nutch;+http://scholaruniverse.com/bot.jsp; fetch-agent@scholaruniverse.com)",
	"schwarzmann.biz-spider_for_paddel.org+(http://www.innerprise.net/usp-spider.asp)",
	"scollspider/2.0 (+http://www.webwobot.com/scollspider.php)",
	"scooter-3.0.eu",
	"scooter-3.0.fs",
	"scooter-3.0.hd",
	"scooter-3.0.vns",
	"scooter-3.0qi",
	"scooter-3.2",
	"scooter-3.2.bt",
	"scooter-3.2.dil",
	"scooter-3.2.ex",
	"scooter-3.2.jt",
	"scooter-3.2.niv",
	"scooter-3.2.sf0",
	"scooter-3.2.snippet",
	"scooter-3.3dev",
	"scooter-ars-1.1",
	"scooter-ars-1.1-ih",
	"scooter-venus-3.0.vns",
	"scooter-w3-1.0",
	"scooter-w3.1.2",
	"scooter/1.0",
	"scooter/1.0 scooter@pa.dec.com",
	"scooter/1.1 (custom)",
	"scooter/2.0 g.r.a.b. v1.1.0",
	"scooter/2.0 g.r.a.b. x2.0",
	"scooter/3.3",
	"scooter/3.3.qa.pczukor",
	"scooter/3.3.vscooter",
	"scooter/3.3_sf",
	"scooter2_mercator_x-x.0",
	"scooter_bh0-3.0.3",
	"scooter_trk3-3.0.3",
	"scoutabout",
	"scoutant/0.1; +http://www.ant.com/what_is_ant.com/",
	"scoutmaster",
	"scrubby/2.x (http://www.scrubtheweb.com/)",
	"scrubby/3.0 (+http://www.scrubtheweb.com/help/technology.html)",
	"search+",
	"search-engine-studio",
	"search.ch v1.4",
	"search.ch v1.4.2 (spiderman@search.ch; http://www.search.ch)",
	"search/1.0 (http://www.innerprise.net/es-spider.asp)",
	"searchbot admin@google.com",
	"searchbyusa/2 (searchbyusa; http://www.searchbyusa.com/bot.html; info@searchbyusa.com)",
	"searchdaybot",
	"searchexpress spider0.99",
	"searchguild/dmoz/experiment (searchguild@gmail.com)",
	"searchguild_dmoz_experiment (chris@searchguild.com)",
	"searchit-now robot/2.2 (+http://www.searchit-now.co.uk)",
	"searchmee! spider v0.98a",
	"searchsight/2.0 (http://searchsight.com/)",
	"searchspider.com/1.1",
	"searchspider/1.2 (searchspider; http://www.searchspider.com; webmaster@searchspider.com)",
	"searchtone2.0 - ideare",
	"seekbot/1.0 (http://www.seekbot.net/bot.html) httpfetcher/0.3",
	"seekbot/1.0 (http://www.seekbot.net/bot.html) robotstxtfetcher/1.0 (xdf)",
	"seekbot/1.0 (http://www.seekbot.net/bot.html) robotstxtfetcher/1.2",
	"seeker.lookseek.com",
	"semager/1.1 (http://www.semager.de/blog/semager-bots/)",
	"semager/1.x (http://www.semager.de)",
	"sensis web crawler (search_comments\at\sensis\dot\com\dot\au)",
	"sensis.com.au web crawler (search_comments\at\sensis\dot\com\dot\au)",
	"seznambot/1.0",
	"seznambot/1.0 (+http://fulltext.seznam.cz/)",
	"seznambot/2.0-test (+http://fulltext.sblog.cz/)",
	"shablastbot 1.0",
	"shim crawler",
	"shim-crawler(mozilla-compatible; http://www.logos.ic.i.u-tokyo.ac.jp/crawler/; crawl@logos.ic.i.u-tokyo.ac.jp)",
	"shopwiki/1.0 ( +http://www.shopwiki.com/)",
	"shopwiki/1.0 ( +http://www.shopwiki.com/wiki/help:bot)",
	"shoula.com crawler 2.0",
	"sietscrawler/1.1 (+http://www.siets.biz)",
	"sigram/nutch-1.0-dev (test agent for nutch development; http://www.sigram.com/bot.html; bot at sigram dot com)",
	"siigle orumcex v.001 turkey (http://www.siigle.com)",
	"silk/1.0",
	"silk/1.0 (+http://www.slider.com/silk.htm)/3.7",
	"sirketcebot/v.01 (http://www.sirketce.com/bot.html)",
	"sitespider +(http://www.sitespider.com/)",
	"sitetruth.com site rating system",
	"sitexpert",
	"skampy/0.9.x (http://www.skaffe.com/skampy-info.html)",
	"skimpy/0.x (http://www.skaffe.com/skampy-info.html)",
	"skywalker/0.1 (skywalker; anonymous; anonymous)",
	"slarp/0.1",
	"slider_search_v1-de",
	"slurp/2.0 (slurp@inktomi.com; http://www.inktomi.com/slurp.html)",
	"slurp/2.0-kiteweekly (slurp@inktomi.com; http://www.inktomi.com/slurp.html)",
	"slurp/si (slurp@inktomi.com; http://www.inktomi.com/slurp.html)",
	"slurpy verifier/1.0",
	"slysearch (slysearch@slysearch.com)",
	"slysearch/1.0 http://www.plagiarism.org/crawler/robotinfo.html",
	"slysearch/1.x http://www.slysearch.com",
	"smartwit.com",
	"smiffydcmetaspider/1.0",
	"snap.com beta crawler v0",
	"snapbot/1.0",
	"snapbot/1.0 (snap shots, +http://www.snap.com)",
	"snykebot/0.6 (http://www.snyke.com)",
	"socscibot ()",
	"softhypermarketfilecheckbot/1.0+(+http://www.softhypermaket.com)",
	"sogou develop spider",
	"sogou orion spider/3.0(+http://www.sogou.com/docs/help/webmasters.htm#07)",
	"sogou spider",
	"sogou web spider/3.0(+http://www.sogou.com/docs/help/webmasters.htm#07)",
	"sohu agent",
	"sohu-search",
	"sosospider+(+http://help.soso.com/webspider.htm)",
	"speedfind rambot xtreme 8.1",
	"speedy spider (beta/x.x; speedy@entireweb.com)",
	"speedy spider (entireweb; beta/1.0; http://www.entireweb.com/about/search_tech/speedyspider/)",
	"speedy_spider (http://www.entireweb.com)",
	"sphere scout&v4.0 - scout at sphere dot com",
	"sphider",
	"spida/0.1",
	"spider-sleek/2.0 (+http://search-info.com/linktous.html)",
	"spider.batsch.com",
	"spider.yellopet.com - www.yellopet.com",
	"spider/maxbot.com admin@maxbot.com",
	"spiderku/0.x",
	"spiderman",
	"spidermonkey/7.0x (spidermonkey.ca info at http://spidermonkey.ca/sm.shtml)",
	"spinne/2.0",
	"spinne/2.0 med",
	"spinne/2.0 med_ah",
	"spock crawler (http://www.spock.com/crawler)",
	"sportsuchmaschine.de-robot (version: 1.02- powered by www.sportsuchmaschine.de)",
	"sproose/0.1-alpha (sproose crawler; http://www.sproose.com/bot.html; crawler@sproose.com)",
	"sqworm/2.9.81-beta (beta_release; 20011102-760; i686-pc-linux-gnu)",
	"sqworm/2.9.85-beta (beta_release; 20011115-775; i686-pc-linux-gnu)",
	"ssurf15a 11 ",
	"stackrambler/x.x ",
	"stat statcrawler@gmail.com",
	"steeler/1.x (http://www.tkl.iis.u-tokyo.ac.jp/~crawler/)",
	"steeler/3.3 (http://www.tkl.iis.u-tokyo.ac.jp/~crawler/)",
	"strategic board bot (+http://www.strategicboard.com)",
	"strategic board bot (+http://www.strategicboard.com)",
	"submission spider at surfsafely.com",
	"suchbaer.de",
	"suchbaer.de (crawleragent v0.103)",
	"suchbot",
	"suchknecht.at-robot",
	"suchpadbot/1.0 (+http://www.suchpad.de)",
	"surferf3 1/0",
	"suzuran",
	"swooglebot/2.0. (+http://swoogle.umbc.edu/swooglebot.htm)",
	"swsbot-images/1.2 http://www.smartwaresoft.com/swsbot12.html",
	"sygolbot http://www.sygol.net",
	"synobot",
	"syntryx ant scout chassis pheromone; mozilla/4.0 compatible crawler",
	"szukacz/1.x",
	"szukacz/1.x (robot; www.szukacz.pl/jakdzialarobot.html; szukacz@proszynski.pl)",
	"tags2dir.com/0.8 (+http://tags2dir.com/directory/)",
	"tagword (http://tagword.com/dmoz_survey.php)",
	"talkro web-shot/1.0 (e-mail: webshot@daumsoft.com- home: http://222.122.15.190/webshot)",
	"tcdbot/nutch-0.8 (phd student research;http://www.tcd.ie; mcgettrs at t c d dot ie)",
	"tecomac-crawler/0.x",
	"tecomi bot (http://www.tecomi.com/bot.htm)",
	"teemer (netseer, inc. is a los angeles based internet startup company.; http://www.netseer.com/crawler.html; crawler@netseer.com)",
	"teoma mp",
	"teomaagent crawler-admin@teoma.com",
	"teomaagent1 [crawler-admin@teoma.com]",
	"teoma_agent1",
	"teradex mapper; mapper@teradex.com; http://www.teradex.com",
	"terraminds-bot/1.0 (support@terraminds.de)",
	"terrawizbot/1.0 (+http://www.terrawiz.com/bot.html)",
	"test spider",
	"testcrawler/nutch-0.9 (testing crawler for research ; http://balihoo.com/index.aspx; tgautier at balihoo dot com)",
	"therarestparser/0.2a (http://therarestwords.com/)",
	"thesubot/0.1 (www.thesubot.de)",
	"thumbshots-de-bot (version: 1.02- powered by www.thumbshots.de)",
	"timbobot/0.9 http://www.breakingblogs.com/timbo_bot.html",
	"tineye/1.1 (http://tineye.com/crawler.html)",
	"tivraspider/1.0 (crawler@tivra.com)",
	"tjg/spider",
	"tkensaku/x.x(http://www.tkensaku.com/q.html)",
	"topodia/1.2-dev (topodia - crawler for http content indexing; http://www.topodia.com/; support@topodia.com)",
	"traazibot/testengine (+http://www.traazi.de)",
	"trampelpfad-spider",
	"trampelpfad-spider-v0.1",
	"tsurf15a 11",
	"tumblr/1.0 rss syndication (+http://www.tumblr.com/) (support@tumblr.com)",
	"turnitinbot/x.x (http://www.turnitin.com/robot/crawlerinfo.html)",
	"turnpike emporium linkchecker/0.1",
	"tutorgig/1.5 (+http://www.tutorgig.com/crawler)",
	"tutorial crawler 1.4 (http://www.tutorgig.com/crawler)",
	"twiceler www.cuill.com/robots.html",
	"twiceler-0.9 http://www.cuill.com/twiceler/robot.html",
	"tycoon agent/nutch-1.0-dev",
	"tygobot",
	"tygoprowler",
	"uiowacrawler/1.0",
	"ukwizz/nutch-0.8.1 (ukwizz nutch crawler; http://www.ukwizz.com/)",
	"ultraseek",
	"under the rainbow 2.2",
	"uoftdb_experiment (leehyun@cs.toronto.edu)",
	"updated/0.1-alpha (updated crawler; http://www.updated.com; crawler@updated.com)",
	"updated/0.1beta (updated.com; http://www.updated.com; crawler@updated.om)",
	"uptimebot",
	"uptimebot(www.uptimebot.com)",
	"url spider pro/x.xx (innerprise.net)",
	"urlfan-bot/1.0; +http://www.urlfan.com/site/bot/350.html",
	"url_spider_pro/x.x",
	"url_spider_pro/x.x+(http://www.innerprise.net/usp-spider.asp)",
	"user-agent: mozilla/4.0 (compatible; msie 6.0; windows nt 5.1)",
	"user-agent: mozilla/4.0 (skizzle! distributed internet spider v1.0 - www.skizzle.com)",
	"usyd-nlp-spider (http://www.it.usyd.edu.au/~vinci/bot.html)",
	"vadixbot",
	"vagabondo-wap/2.0 (webcrawler at wise-guys dot nl; http://webagent.wise-guys.nl/)/1.0 profile",
	"vagabondo/1.x mt (webagent@wise-guys.nl)",
	"vagabondo/2.0 mt",
	"vagabondo/2.0 mt (webagent at wise-guys dot nl)",
	"vagabondo/2.0 mt (webagent@nospamwise-guys.nl)",
	"vagabondo/3.0 (webagent at wise-guys dot nl)",
	"vakes/0.01 (vakes; http://www.vakes.com/; search@vakes.com)",
	"versus 0.2 (+http://versus.integis.ch)",
	"versus crawler eda.baykan@epfl.ch",
	"verygoodsearch.com.daddylonglegs",
	"verzamelgids.nl - networking4all bot/x.x",
	"verzamelgids/2.2 (http://www.verzamelgids.nl)",
	"vespa crawler",
	"visbot/2.0 (visvo.com crawler; http://www.visvo.com/bot.html; bot@visvo.com)",
	"vision research lab image spider at vision.ece.ucsb.edu",
	"vmbot/0.x.x (vmbot; http://www.verticalmatch.com/; vmbot@tradedot.com)",
	"vortex/2.2 (+http://marty.anstey.ca/robots/vortex/)",
	"voyager-hc/1.0",
	"voyager/1.0",
	"voyager/2.0 (http://www.kosmix.com/html/crawler.html)",
	"vse/1.0 (testcrawler@hotmail.com)",
	"vse/1.0 (testcrawler@vivisimo.com)",
	"vspider",
	"vspider/3.x",
	"vwbot/nutch-0.9-dev (vwbot nutch crawler; http://vwbot.cs.uiuc.edu;+vwbot@cs.uiuc.edu",
	"w3sitesearch crawler_v1.1 http://www.w3sitesearch.de",
	"wadaino.jp-crawler 0.2 (http://wadaino.jp/)",
	"wavefire/0.8-dev (wavefire; http://www.wavefire.com; info@wavefire.com)",
	"waypath development crawler - info at waypath dot com",
	"waypath scout v2.x - info at waypath dot com",
	"web snooper",
	"web2express.org/nutch-0.9-dev (leveled playing field; http://web2express.org/; info at web2express.org)",
	"webalta crawler/1.2.1 (http://www.webalta.ru/bot.html)",
	"webaroobot (webaroo bot; http://64.124.122.252/feedback.html)",
	"webaroobot (webaroo bot; http://www.webaroo.com/roositeowners.html)",
	"webbandit/4.xx.0",
	"webclipping.com",
	"webcompass 2.0",
	"webcorp/1.0",
	"webcrawl.net",
	"webfindbot(http://www.web-find.com)",
	"webglimpse 2.xx.x (http://webglimpse.net)",
	"weblog attitude diffusion 1.0",
	"webmeasurement-bot, http://rvs.informatik.uni-leipzig.de",
	"webrankspider/1.37 (+http://ulm191.server4you.de/crawler/)",
	"websearch.com.au/3.0.1 (the australian search engine; http://websearch.com.au; search@websearch.com.au)",
	"websearchbench webcrawler v0.1(experimental)",
	"websearchbench webcrawler v1.0 (beta)- prof. dr.-ing. christoph lindemann- universität dortmund- cl@cs.uni-dortmund.de- http://websearchbench.cs.uni-dortmund.de/",
	"websiteworth v1.0",
	"webspinne/1.0 webmaster@webspinne.de",
	"websquash.com (add url robot)",
	"webstat/1.0 (unix; beta; 20040314)",
	"webster v0.3 ( http://webster.healeys.net/ )",
	"webvac (webmaster@pita.stanford.edu)",
	"webverzeichnis.de - telefon: 01908 / 26005",
	"webvulncrawl.unknown/1.0 libwww-perl/5.803",
	"wells search ii",
	"wep search 00",
	"wfarc",
	"whatuseek_winona/3.0",
	"whizbang! lab",
	"willow internet crawler by twotrees v2.1",
	"winhttp example/1.0",
	"winkbot/0.06 (wink.com search engine web crawler; http://www.wink.com/wink:winkbot; winkbot@wink.com)",
	"wire/0.11 (linux; i686; bot,robot,spider,crawler,aromano@cli.di.unipi.it)",
	"wire/0.x (linux; i686; bot,robot,spider,crawler)",
	"wisebot/1.0 (wisebot@koreawisenut.com; http://wisebot.koreawisenut.com)",
	"worio heritrix bot (+http://worio.com/)",
	"woriobot ( http://www.worio.com/)",
	"worldlight",
	"wotbox/alpha0.6 (bot@wotbox.com; http://www.wotbox.com)",
	"wotbox/alpha0.x.x (bot@wotbox.com; http://www.wotbox.com) java/1.4.1_02",
	"wsb webcrawler v1.0 (beta)- cl@cs.uni-dortmund.de",
	"wsb, http://websearchbench.cs.uni-dortmund.de",
	"wume_crawler/1.1 (http://wume.cse.lehigh.edu/~xiq204/crawler/)",
	"wwlib/linux",
	"www.arianna.it",
	"wwweasel robot v1.00 (http://wwweasel.de)",
	"wwwster/1.x (beta- mailto:gue@cis.uni-muenchen.de)",
	"x-crawler ",
	"xirq/0.1-beta (xirq; http://www.xirq.com; xirq@xirq.com)",
	"xyro_(xcrawler@cosmos.inria.fr)",
	"y!j-bsc/1.0 (http://help.yahoo.co.jp/help/jp/search/indexing/indexing-15.html)",
	"y!j-srd/1.0",
	"y!j/1.0 (http://help.yahoo.co.jp/help/jp/search/indexing/indexing-15.html)",
	"yacy (www.yacy.net; v20040602; i386 linux 2.4.26-gentoo-r13; java 1.4.2_06; met/en)",
	"yacybot (x86 windows xp 5.1; java 1.5.0_06; europe/de) yacy.net",
	"yahoo pipes 1.0",
	"yahoo! mindset",
	"yahoo-blogs/v3.9 (compatible; mozilla 4.0; msie 5.5; http://help.yahoo.com/help/us/ysearch/crawling/crawling-02.html )",
	"yahoo-mmaudvid/1.0 (mms dash mmaudvidcrawler dash support at yahoo dash inc dot com)",
	"yahoo-mmaudvid/2.0(mms dash mm aud vid crawler dash support at yahoo dash inc.com ;mozilla 4.0 compatible; msie 7.0;windows nt 5.0; .net clr 2.0)",
	"yahoo-mmcrawler/3.x (mm dash crawler at trd dot overture dot com)",
	"yahoo-test/4.0",
	"yahoo-verticalcrawler-formerwebcrawler/3.9 crawler at trd dot overture dot com; http://www.alltheweb.com/help/webmaster/crawler",
	"yahoofeedseeker/2.0 (compatible; mozilla 4.0; msie 5.5; http://publisher.yahoo.com/rssguide)",
	"yahooseeker-testing/v3.9 (compatible; mozilla 4.0; msie 5.5; http://search.yahoo.com/)",
	"yahooseeker/1.0 (compatible; mozilla 4.0; msie 5.5; http://help.yahoo.com/help/us/shop/merchant/)",
	"yahooseeker/1.0 (compatible; mozilla 4.0; msie 5.5; http://search.yahoo.com/yahooseeker.html)",
	"yahooseeker/1.1 (compatible; mozilla 4.0; msie 5.5; http://help.yahoo.com/help/us/shop/merchant/)",
	"yahooseeker/bsv3.9 (compatible; mozilla 4.0; msie 5.5; http://help.yahoo.com/help/us/ysearch/crawling/crawling-02.html )",
	"yahooseeker/cafekelsa-dev (compatible; konqueror/3.2; freebsd ;cafekelsa-dev-webmaster@yahoo-inc.com )",
	"yandex/1.01.001 (compatible; win16; i)",
	"yanga worldsearch bot v1.1/beta (http://www.yanga.co.uk/)",
	"yarienavoir.net/0.2",
	"yeti",
	"yeti/0.01 (nhn/1noon, yetibot@naver.com, check robots.txt daily and follows it)",
	"yeti/1.0 (nhn corp.; http://help.naver.com/robots/)",
	"yggdrasil/nutch-0.9 (yggdrasil biorelated search engine; www dot biotec dot tu minus dresden do de slash schroeder; heiko dot dietze at biotec dot tu minus dresden dot de)",
	"yodaobot/1.0 (http://www.yodao.com/help/webmaster/spider/; )",
	"yoofind/yoofind-0.1-dev (yoono webcrawler; http://www.yoono.com ; myemail)",
	"yooglifetchagent/0.1",
	"yoono/1.0 web-crawler/1.0",
	"yottacars_bot/4.12 (+http://www.yottacars.com) car search engine ",
	"yottashopping_bot/4.12 (+http://www.yottashopping.com) shopping search engine",
	"zao-crawler",
	"zao-crawler 0.2b",
	"zao/0.1 (http://www.kototoi.org/zao/)",
	"zbot/1.00 (icaulfield@zeus.com)",
	"zearchit",
	"zebot_lseek.net (bot@ze.bz)",
	"zebot_www.ze.bz (ze.bz@hotmail.com)",
	"zedzo.digest/0.1 (http://www.zedzo.com/)",
	"zermelo mozilla/5.0 compatible; heritrix/1.12.1 (+http://www.powerset.com) [email:crawl@powerset.com,email:paul@page-store.com]",
	"zerxbot/version 0.6 libwww-perl/5.79",
	"zeus themesite viewer webster pro v2.9 win32",
	"zeus xxxxx webster pro v2.9 win32",
	"zeusbot/0.07 (ulysseek's web-crawling robot; http://www.zeusbot.com; agent@zeusbot.com)",
	"zipppbot/0.xx (zipppbot; http://www.zippp.net; webmaster@zippp.net)",
	"zipppcvs/0.xx (zipppbot/.xx;http://www.zippp.net; webmaster@zippp.net)",
	"zippy v2.0 - zippyfinder.com",
	"zoomspider - wrensoft.com",
	"zspider/0.9-dev http://feedback.redkolibri.com/",
	"zyborg/1.0 (zyborg@wisenut.com; http://www.wisenut.com)",
);
